/**
 * plugin.js
 *
 * Released under LGPL License.
 * Copyright (c) 1999-2015 Ephox Corp. All rights reserved
 *
 * License: http://www.tinymce.com/license
 * Contributing: http://www.tinymce.com/contributing
 */

/*global tinymce:true */

tinymce.PluginManager.add('iconsocial', function(editor) {
	var icon = [
		['<a href="#" class="social-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon border-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon border-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon border-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon border-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon border-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon border-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon border-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon border-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon border-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon border-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon border-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon border-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon border-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon border-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon border-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon border-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon border-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon border-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon border-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon border-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon border-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon border-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon border-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon border-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon border-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon border-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon border-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon border-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon border-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon border-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon border-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon border-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon border-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon border-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon border-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon border-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon border-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon border-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon border-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon border-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon border-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon border-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon border-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon border-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon border-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon border-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon border-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon border-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon border-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon border-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon border-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon border-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon border-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon border-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon border-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon border-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon border-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon border-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon border-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon border-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon border-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon border-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon border-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon border-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon border-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon border-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon border-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon border-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon border-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon border-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon border-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon border-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon border-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon border-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon border-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon border-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon border-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon border-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon border-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon border-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon border-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon border-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon border-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon border-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon border-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon border-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon border-icon rounded-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon bg-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon bg-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon bg-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon bg-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon bg-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon bg-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon bg-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon bg-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon bg-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon bg-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon bg-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon bg-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon bg-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon bg-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon bg-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon bg-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon bg-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon bg-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon bg-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon bg-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon bg-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon bg-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon bg-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon bg-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon bg-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon bg-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon bg-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon bg-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon bg-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon bg-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon bg-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon bg-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon bg-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon bg-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon bg-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon bg-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon bg-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon bg-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon bg-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon bg-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon bg-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon bg-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon bg-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon bg-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon bg-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon bg-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon bg-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon bg-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon bg-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon bg-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon bg-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon bg-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon bg-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon bg-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon bg-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon bg-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon bg-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon bg-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon bg-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon bg-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon bg-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon bg-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon bg-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon bg-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon bg-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon bg-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon bg-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon bg-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon bg-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon bg-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon bg-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon bg-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon bg-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon bg-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon bg-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon bg-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon bg-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon bg-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon bg-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon bg-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon bg-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon bg-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon bg-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon bg-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon bg-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon bg-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon bg-icon rounded-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon color-icon bg-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon color-icon bg-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon color-icon bg-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon color-icon bg-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon color-icon bg-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon color-icon bg-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon color-icon bg-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon color-icon bg-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon color-icon bg-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon color-icon bg-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon color-icon bg-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon color-icon bg-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon color-icon bg-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon color-icon bg-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon color-icon bg-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon color-icon bg-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon color-icon bg-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon color-icon bg-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon color-icon bg-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon color-icon bg-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon color-icon bg-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon color-icon bg-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon color-icon bg-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon color-icon bg-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon color-icon bg-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon color-icon bg-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon color-icon bg-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon color-icon bg-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon color-icon bg-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon color-icon bg-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon color-icon bg-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon color-icon bg-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon color-icon bg-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon color-icon bg-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon color-icon bg-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon color-icon bg-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon color-icon bg-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon color-icon bg-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon color-icon bg-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon color-icon bg-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon color-icon bg-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon color-icon bg-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon color-icon bg-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon color-icon bg-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon color-icon bg-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon color-icon bg-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon color-icon bg-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon color-icon bg-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon color-icon bg-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon color-icon bg-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon color-icon bg-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon color-icon bg-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon color-icon bg-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon color-icon bg-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon color-icon bg-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon color-icon bg-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon color-icon bg-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon color-icon bg-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon color-icon bg-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon color-icon bg-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon color-icon bg-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon color-icon bg-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon color-icon bg-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon color-icon bg-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon color-icon bg-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon color-icon bg-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon color-icon bg-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon color-icon bg-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon color-icon bg-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon color-icon bg-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon color-icon bg-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon color-icon bg-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon color-icon bg-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon color-icon bg-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon color-icon bg-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon color-icon bg-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon color-icon bg-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon color-icon bg-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon color-icon bg-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon color-icon bg-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon color-icon bg-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon color-icon bg-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon color-icon bg-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon color-icon bg-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon color-icon bg-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon color-icon bg-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon color-icon bg-icon rounded-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon color-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon color-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon color-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon color-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon color-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon color-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon color-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon color-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon color-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon color-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon color-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon color-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon color-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon color-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon color-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon color-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon color-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon color-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon color-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon color-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon color-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon color-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon color-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon color-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon color-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon color-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon color-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon color-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon color-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon color-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon color-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon color-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon color-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon color-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon color-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon color-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon color-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon color-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon color-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon color-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon color-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon color-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon color-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon color-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon color-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon color-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon color-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon color-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon color-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon color-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon color-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon color-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon color-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon color-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon color-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon color-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon color-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon color-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon color-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon color-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon color-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon color-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon color-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon color-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon color-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon color-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon color-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon color-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon color-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon color-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon color-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon color-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon color-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon color-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon color-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon color-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon color-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon color-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon color-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon color-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon color-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon color-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon color-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon color-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon color-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon color-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon color-icon border-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon color-icon border-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon color-icon border-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon color-icon border-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon color-icon border-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon color-icon border-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon color-icon border-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon color-icon border-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon color-icon border-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon color-icon border-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon color-icon border-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon color-icon border-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon color-icon border-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon color-icon border-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon color-icon border-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon color-icon border-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon color-icon border-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon color-icon border-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon color-icon border-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon color-icon border-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon color-icon border-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon color-icon border-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon color-icon border-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon color-icon border-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon color-icon border-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon color-icon border-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon color-icon border-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon color-icon border-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon color-icon border-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon color-icon border-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon color-icon border-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon color-icon border-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon color-icon border-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon color-icon border-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon color-icon border-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon color-icon border-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon color-icon border-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon color-icon border-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon color-icon border-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon color-icon border-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon color-icon border-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon color-icon border-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon color-icon border-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon color-icon border-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon color-icon border-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon color-icon border-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon color-icon border-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon color-icon border-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon color-icon border-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon color-icon border-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon color-icon border-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon color-icon border-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon color-icon border-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon color-icon border-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon color-icon border-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon color-icon border-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon color-icon border-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon color-icon border-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon color-icon border-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon color-icon border-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon color-icon border-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon color-icon border-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon color-icon border-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon color-icon border-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon color-icon border-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon color-icon border-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon color-icon border-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon color-icon border-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon color-icon border-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon color-icon border-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon color-icon border-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon color-icon border-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon color-icon border-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon color-icon border-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon color-icon border-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon color-icon border-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon color-icon border-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon color-icon border-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon color-icon border-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon color-icon border-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon color-icon border-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon color-icon border-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon color-icon border-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon color-icon border-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon color-icon border-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon color-icon border-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon color-icon border-icon rounded-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon color-bg-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon color-bg-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon color-bg-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon color-bg-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon color-bg-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon color-bg-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon color-bg-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon color-bg-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon color-bg-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon color-bg-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon color-bg-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon color-bg-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon color-bg-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon color-bg-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon color-bg-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon color-bg-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon color-bg-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon color-bg-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon color-bg-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon color-bg-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon color-bg-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon color-bg-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon color-bg-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon color-bg-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon color-bg-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon color-bg-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon color-bg-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon color-bg-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon color-bg-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon color-bg-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon color-bg-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon color-bg-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon color-bg-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon color-bg-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon color-bg-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon color-bg-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon color-bg-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon color-bg-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon color-bg-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon color-bg-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon color-bg-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon color-bg-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon color-bg-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon color-bg-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon color-bg-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon color-bg-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon color-bg-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon color-bg-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon color-bg-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon color-bg-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon color-bg-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon color-bg-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon color-bg-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon color-bg-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon color-bg-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon color-bg-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon color-bg-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon color-bg-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon color-bg-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon color-bg-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon color-bg-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon color-bg-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon color-bg-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon color-bg-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon color-bg-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon color-bg-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon color-bg-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon color-bg-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon color-bg-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon color-bg-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon color-bg-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon color-bg-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon color-bg-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon color-bg-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon color-bg-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon color-bg-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon color-bg-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon color-bg-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon color-bg-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon color-bg-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon color-bg-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon color-bg-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon color-bg-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon color-bg-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon color-bg-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon color-bg-icon soc-pocket">&nbsp;</a>', 'pocket'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-twitter">&nbsp;</a>', 'twitter'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-facebook">&nbsp;</a>', 'facebook'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-google">&nbsp;</a>', 'google'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-pinterest">&nbsp;</a>', 'pinterest'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-foursquare">&nbsp;</a>', 'foursquare'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-yahoo">&nbsp;</a>', 'yahoo'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-skype">&nbsp;</a>', 'skype'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-yelp">&nbsp;</a>', 'yelp'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-feedburner">&nbsp;</a>', 'feedburner'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-linkedin">&nbsp;</a>', 'linkedin'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-viadeo">&nbsp;</a>', 'viadeo'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-xing">&nbsp;</a>', 'xing'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-myspace">&nbsp;</a>', 'myspace'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-soundcloud">&nbsp;</a>', 'soundcloud'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-spotify">&nbsp;</a>', 'spotify'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-grooveshark">&nbsp;</a>', 'grooveshark'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-lastfm">&nbsp;</a>', 'lastfm'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-youtube">&nbsp;</a>', 'youtube'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-vimeo">&nbsp;</a>', 'vimeo'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-dailymotion">&nbsp;</a>', 'dailymotion'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-vine">&nbsp;</a>', 'vine'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-flickr">&nbsp;</a>', 'flickr'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-500px">&nbsp;</a>', '500px'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-instagram">&nbsp;</a>', 'instagram'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-wordpress">&nbsp;</a>', 'wordpress'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-tumblr">&nbsp;</a>', 'tumblr'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-blogger">&nbsp;</a>', 'blogger'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-technorati">&nbsp;</a>', 'technorati'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-reddit">&nbsp;</a>', 'reddit'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-dribbble">&nbsp;</a>', 'dribbble'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-stumbleupon">&nbsp;</a>', 'stumbleupon'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-digg">&nbsp;</a>', 'digg'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-envato">&nbsp;</a>', 'envato'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-behance">&nbsp;</a>', 'behance'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-delicious">&nbsp;</a>', 'delicious'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-deviantart">&nbsp;</a>', 'deviantart'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-forrst">&nbsp;</a>', 'forrst'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-play">&nbsp;</a>', 'play'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-zerply">&nbsp;</a>', 'zerply'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-wikipedia">&nbsp;</a>', 'wikipedia'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-apple">&nbsp;</a>', 'apple'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-flattr">&nbsp;</a>', 'flattr'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-github">&nbsp;</a>', 'github'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-chimein">&nbsp;</a>', 'chimein'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-friendfeed">&nbsp;</a>', 'friendfeed'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-newsvine">&nbsp;</a>', 'newsvine'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-identica">&nbsp;</a>', 'identica'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-bebo">&nbsp;</a>', 'bebo'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-zynga">&nbsp;</a>', 'zynga'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-steam">&nbsp;</a>', 'steam'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-xbox">&nbsp;</a>', 'xbox'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-windows">&nbsp;</a>', 'windows'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-outlook">&nbsp;</a>', 'outlook'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-coderwall">&nbsp;</a>', 'coderwall'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-tripadvisor">&nbsp;</a>', 'tripadvisor'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-appnet">&nbsp;</a>', 'appnet'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-goodreads">&nbsp;</a>', 'goodreads'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-tripit">&nbsp;</a>', 'tripit'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-lanyrd">&nbsp;</a>', 'lanyrd'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-slideshare">&nbsp;</a>', 'slideshare'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-buffer">&nbsp;</a>', 'buffer'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-rss">&nbsp;</a>', 'rss'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-vkontakte">&nbsp;</a>', 'vkontakte'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-disqus">&nbsp;</a>', 'disqus'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-houzz">&nbsp;</a>', 'houzz'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-mail">&nbsp;</a>', 'mail'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-patreon">&nbsp;</a>', 'patreon'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-paypal">&nbsp;</a>', 'paypal'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-playstation">&nbsp;</a>', 'playstation'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-smugmug">&nbsp;</a>', 'smugmug'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-swarm">&nbsp;</a>', 'swarm'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-triplej">&nbsp;</a>', 'triplej'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-yammer">&nbsp;</a>', 'yammer'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-stackoverflow">&nbsp;</a>', 'stackoverflow'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-drupal">&nbsp;</a>', 'drupal'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-odnoklassniki">&nbsp;</a>', 'odnoklassniki'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-android">&nbsp;</a>', 'android'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-meetup">&nbsp;</a>', 'meetup'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-persona">&nbsp;</a>', 'persona'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-amazon">&nbsp;</a>', 'amazon'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-ello">&nbsp;</a>', 'ello'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-mixcloud">&nbsp;</a>', 'mixcloud'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-8tracks">&nbsp;</a>', '8tracks'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-twitch">&nbsp;</a>', 'twitch'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-airbnb">&nbsp;</a>', 'airbnb'],
		['<a href="#" class="social-icon color-bg-icon rounded-icon soc-pocket">&nbsp;</a>', 'pocket'],
	];

	function showDialog() {
		var gridHtml, x, y, win;

		function getParentTd(elm) {
			while (elm) {
				if (elm.nodeName == 'TD') {
					return elm;
				}

				elm = elm.parentNode;
			}
		}

		gridHtml = '<table role="presentation" cellspacing="0" class="mce-icons-social"><tbody>';

		var width = 12;
		var height = Math.ceil(icon.length / width);
		for (y = 0; y < height; y++) {
			gridHtml += '<tr>';

			for (x = 0; x < width; x++) {
				var index = y * width + x;
				if (index < icon.length) {
					var chr = icon[index];

					gridHtml += '<td title="' + chr[1] + '"><div tabindex="-1" title="' + chr[1] + '" role="button">' +
						chr[0] + '</div></td>';
				} else {
					gridHtml += '<td />';
				}
			}

			gridHtml += '</tr>';
		}

		gridHtml += '</tbody></table>';

		var iconPanel = {
			type: 'container',
			html: gridHtml,
			onclick: function(e) {
				e.preventDefault();
				var target = e.target;
				if (/^(A)$/.test(target.nodeName)) {
					if (getParentTd(target).firstChild) {
						// editor.execCommand('mceInsertContent', false, tinymce.trim('&nbsp;' + target.outerHTML + '&nbsp;'));
						// editor.execCommand('mceInsertContent', false, '&nbsp;' + target.outerHTML + '&nbsp;');
						// editor.execCommand('mceInsertContent', false, target.outerHTML + '&nbsp;');
						// editor.execCommand('mceInsertContent', false, tinymce.trim(target.outerHTML + '&nbsp;'));
						editor.execCommand('mceInsertContent', false, tinymce.trim(target.outerHTML));
						// console.log(target.outerHTML);

						if (!e.ctrlKey) {
							win.close();
						}
					}
				}
			},
		};

		win = editor.windowManager.open({
			title: "Template Social Icons",
			spacing: 10,
			padding: 10,
			style: 'max-height: 98%; overflow-y: auto; overflow-x: hidden;',
			items: [
				iconPanel,
				{
					type: 'container',
					layout: 'flex',
					direction: 'column',
					align: 'center',
					spacing: 5,
					minWidth: 0,
					minHeight: 0,
					items: [
						{
							type: 'label',
							name: 'preview',
							text: ' ',
							style: 'display:none;',
							border: 0,
							minWidth: 0,
							minHeight: 0
						},
						{
							type: 'label',
							name: 'previewTitle',
							text: ' ',
							style: 'display:none;',
							border: 0,
							minWidth: 0,
							minHeight: 0
						}
					]
				}
			],
			buttons: [
				{text: "Close", onclick: function() {
					win.close();
				}}
			]
		});
	}

	editor.addButton('iconsocial', {
		icon: 'socicon',
		tooltip: 'Template Social Icons',
		onclick: showDialog
	});

	editor.addMenuItem('iconsocial', {
		icon: 'socicon',
		text: 'Template Social Icons',
		onclick: showDialog,
		context: 'insert'
	});
});