/**
 * plugin.js
 *
 * Released under LGPL License.
 * Copyright (c) 1999-2015 Ephox Corp. All rights reserved
 *
 * License: http://www.tinymce.com/license
 * Contributing: http://www.tinymce.com/contributing
 */

/*global tinymce:true */

tinymce.PluginManager.add('icon', function(editor) {
	var icon = [
		['<i class="rt-icon2-mobile2"></i>', 'mobile2'],
		['<i class="rt-icon2-laptop2"></i>', 'laptop2'],
		['<i class="rt-icon2-desktop2"></i>', 'desktop2'],
		['<i class="rt-icon2-tablet2"></i>', 'tablet2'],
		['<i class="rt-icon2-phone2"></i>', 'phone2'],
		['<i class="rt-icon2-document"></i>', 'document'],
		['<i class="rt-icon2-calendar"></i>', 'calendar'],
		['<i class="rt-icon2-picture"></i>', 'picture'],
		['<i class="rt-icon2-pictures"></i>', 'pictures'],
		['<i class="rt-icon2-video"></i>', 'video'],
		['<i class="rt-icon2-camera"></i>', 'camera'],
		['<i class="rt-icon2-printer"></i>', 'printer'],
		['<i class="rt-icon2-toolbox"></i>', 'toolbox'],
		['<i class="rt-icon2-wallet"></i>', 'wallet'],
		['<i class="rt-icon2-gift"></i>', 'gift'],
		['<i class="rt-icon2-hourglass"></i>', 'hourglass'],
		['<i class="rt-icon2-lock"></i>', 'lock'],
		['<i class="rt-icon2-megaphone"></i>', 'megaphone'],
		['<i class="rt-icon2-telescope"></i>', 'telescope'],
		['<i class="rt-icon2-gears"></i>', 'gears'],
		['<i class="rt-icon2-key"></i>', 'key'],
		['<i class="rt-icon2-attachment"></i>', 'attachment'],
		['<i class="rt-icon2-pricetags"></i>', 'pricetags'],
		['<i class="rt-icon2-lightbulb"></i>', 'lightbulb'],
		['<i class="rt-icon2-layers"></i>', 'layers'],
		['<i class="rt-icon2-pencil"></i>', 'pencil'],
		['<i class="rt-icon2-tools"></i>', 'tools'],
		['<i class="rt-icon2-tools-2"></i>', 'tools-2'],
		['<i class="rt-icon2-paintbrush"></i>', 'paintbrush'],
		['<i class="rt-icon2-magnifying-glass"></i>', 'magnifying-glass'],
		['<i class="rt-icon2-beaker"></i>', 'beaker'],
		['<i class="rt-icon2-wine"></i>', 'wine'],
		['<i class="rt-icon2-globe"></i>', 'globe'],
		['<i class="rt-icon2-map-pin"></i>', 'map-pin'],
		['<i class="rt-icon2-upload"></i>', 'upload'],
		['<i class="rt-icon2-download"></i>', 'download'],
		['<i class="rt-icon2-global"></i>', 'global'],
		['<i class="rt-icon2-compass"></i>', 'compass'],
		['<i class="rt-icon2-quote"></i>', 'quote'],
		['<i class="rt-icon2-quote2"></i>', 'quote2'],
		['<i class="rt-icon2-tag"></i>', 'tag'],
		['<i class="rt-icon2-link"></i>', 'link'],
		['<i class="rt-icon2-cabinet"></i>', 'cabinet'],
		['<i class="rt-icon2-calendar2"></i>', 'calendar2'],
		['<i class="rt-icon2-calendar3"></i>', 'calendar3'],
		['<i class="rt-icon2-file"></i>', 'file'],
		['<i class="rt-icon2-phone3"></i>', 'phone3'],
		['<i class="rt-icon2-tablet3"></i>', 'tablet3'],
		['<i class="rt-icon2-window"></i>', 'window'],
		['<i class="rt-icon2-monitor"></i>', 'monitor'],
		['<i class="rt-icon2-ipod"></i>', 'ipod'],
		['<i class="rt-icon2-tv"></i>', 'tv'],
		['<i class="rt-icon2-film2"></i>', 'film2'],
		['<i class="rt-icon2-microphone"></i>', 'microphone'],
		['<i class="rt-icon2-drink"></i>', 'drink'],
		['<i class="rt-icon2-drink2"></i>', 'drink2'],
		['<i class="rt-icon2-drink3"></i>', 'drink3'],
		['<i class="rt-icon2-coffee2"></i>', 'coffee2'],
		['<i class="rt-icon2-mug"></i>', 'mug'],
		['<i class="rt-icon2-icecream"></i>', 'icecream'],
		['<i class="rt-icon2-cake2"></i>', 'cake2'],
		['<i class="rt-icon2-checkmark"></i>', 'checkmark'],
		['<i class="rt-icon2-cancel"></i>', 'cancel'],
		['<i class="rt-icon2-plus"></i>', 'plus'],
		['<i class="rt-icon2-minus"></i>', 'minus'],
		['<i class="rt-icon2-cog2"></i>', 'cog2'],
		['<i class="rt-icon2-health"></i>', 'health'],
		['<i class="rt-icon2-suitcase2"></i>', 'suitcase2'],
		['<i class="rt-icon2-suitcase3"></i>', 'suitcase3'],
		['<i class="rt-icon2-picture2"></i>', 'picture2'],
		['<i class="rt-icon2-time"></i>', 'time'],
		['<i class="rt-icon2-checkmark2"></i>', 'checkmark2'],
		['<i class="rt-icon2-cancel2"></i>', 'cancel2'],
		['<i class="rt-icon2-upload2"></i>', 'upload2'],
		['<i class="rt-icon2-location"></i>', 'location'],
		['<i class="rt-icon2-download2"></i>', 'download2'],
		['<i class="rt-icon2-basket"></i>', 'basket'],
		['<i class="rt-icon2-gamepad"></i>', 'gamepad'],
		['<i class="rt-icon2-phone4"></i>', 'phone4'],
		['<i class="rt-icon2-image"></i>', 'image'],
		['<i class="rt-icon2-map"></i>', 'map'],
		['<i class="rt-icon2-trashcan"></i>', 'trashcan'],
		['<i class="rt-icon2-graduate"></i>', 'graduate'],
		['<i class="rt-icon2-lab"></i>', 'lab'],
		['<i class="rt-icon2-tie"></i>', 'tie'],
		['<i class="rt-icon2-football"></i>', 'football'],
		['<i class="rt-icon2-eightball"></i>', 'eightball'],
		['<i class="rt-icon2-bowling"></i>', 'bowling'],
		['<i class="rt-icon2-bowlingpin"></i>', 'bowlingpin'],
		['<i class="rt-icon2-baseball"></i>', 'baseball'],
		['<i class="rt-icon2-soccer"></i>', 'soccer'],
		['<i class="rt-icon2-3dglasses"></i>', '3dglasses'],
		['<i class="rt-icon2-microwave"></i>', 'microwave'],
		['<i class="rt-icon2-refrigerator"></i>', 'refrigerator'],
		['<i class="rt-icon2-oven"></i>', 'oven'],
		['<i class="rt-icon2-washingmachine"></i>', 'washingmachine'],
		['<i class="rt-icon2-mouse"></i>', 'mouse'],
		['<i class="rt-icon2-medal"></i>', 'medal'],
		['<i class="rt-icon2-magnifier"></i>', 'magnifier'],
		['<i class="rt-icon2-stack"></i>', 'stack'],
		['<i class="rt-icon2-stack2"></i>', 'stack2'],
		['<i class="rt-icon2-stack3"></i>', 'stack3'],
		['<i class="rt-icon2-pil"></i>', 'pil'],
		['<i class="rt-icon2-injection"></i>', 'injection'],
		['<i class="rt-icon2-thermometer"></i>', 'thermometer'],
		['<i class="rt-icon2-library"></i>', 'library'],
		['<i class="rt-icon2-auction"></i>', 'auction'],
		['<i class="rt-icon2-justice"></i>', 'justice'],
		['<i class="rt-icon2-pencil2"></i>', 'pencil2'],
		['<i class="rt-icon2-male"></i>', 'male'],
		['<i class="rt-icon2-female"></i>', 'female'],
		['<i class="rt-icon2-pictures2"></i>', 'pictures2'],
		['<i class="rt-icon2-compass2"></i>', 'compass2'],
		['<i class="rt-icon2-clipboard"></i>', 'clipboard'],
		['<i class="rt-icon2-ruler"></i>', 'ruler'],
		['<i class="rt-icon2-heart"></i>', 'heart'],
		['<i class="rt-icon2-cloud"></i>', 'cloud'],
		['<i class="rt-icon2-star"></i>', 'star'],
		['<i class="rt-icon2-tv2"></i>', 'tv2'],
		['<i class="rt-icon2-sound"></i>', 'sound'],
		['<i class="rt-icon2-video2"></i>', 'video2'],
		['<i class="rt-icon2-trash"></i>', 'trash'],
		['<i class="rt-icon2-user"></i>', 'user'],
		['<i class="rt-icon2-key2"></i>', 'key2'],
		['<i class="rt-icon2-search2"></i>', 'search2'],
		['<i class="rt-icon2-settings"></i>', 'settings'],
		['<i class="rt-icon2-camera2"></i>', 'camera2'],
		['<i class="rt-icon2-tag2"></i>', 'tag2'],
		['<i class="rt-icon2-lock2"></i>', 'lock2'],
		['<i class="rt-icon2-bulb"></i>', 'bulb'],
		['<i class="rt-icon2-pen"></i>', 'pen'],
		['<i class="rt-icon2-diamond2"></i>', 'diamond2'],
		['<i class="rt-icon2-display"></i>', 'display'],
		['<i class="rt-icon2-location2"></i>', 'location2'],
		['<i class="rt-icon2-eye"></i>', 'eye'],
		['<i class="rt-icon2-bubble"></i>', 'bubble'],
		['<i class="rt-icon2-stack4"></i>', 'stack4'],
		['<i class="rt-icon2-cup"></i>', 'cup'],
		['<i class="rt-icon2-phone5"></i>', 'phone5'],
		['<i class="rt-icon2-news"></i>', 'news'],
		['<i class="rt-icon2-mail"></i>', 'mail'],
		['<i class="rt-icon2-like"></i>', 'like'],
		['<i class="rt-icon2-photo"></i>', 'photo'],
		['<i class="rt-icon2-note"></i>', 'note'],
		['<i class="rt-icon2-clock"></i>', 'clock'],
		['<i class="rt-icon2-paperplane"></i>', 'paperplane'],
		['<i class="rt-icon2-params"></i>', 'params'],
		['<i class="rt-icon2-banknote"></i>', 'banknote'],
		['<i class="rt-icon2-data"></i>', 'data'],
		['<i class="rt-icon2-music"></i>', 'music'],
		['<i class="rt-icon2-megaphone2"></i>', 'megaphone2'],
		['<i class="rt-icon2-study"></i>', 'study'],
		['<i class="rt-icon2-lab2"></i>', 'lab2'],
		['<i class="rt-icon2-food"></i>', 'food'],
		['<i class="rt-icon2-t-shirt"></i>', 't-shirt'],
		['<i class="rt-icon2-fire"></i>', 'fire'],
		['<i class="rt-icon2-clip"></i>', 'clip'],
		['<i class="rt-icon2-shop"></i>', 'shop'],
		['<i class="rt-icon2-calendar4"></i>', 'calendar4'],
		['<i class="rt-icon2-wallet2"></i>', 'wallet2'],
		['<i class="rt-icon2-vynil"></i>', 'vynil'],
		['<i class="rt-icon2-truck"></i>', 'truck'],
		['<i class="rt-icon2-world"></i>', 'world'],
		['<i class="rt-icon2-sun"></i>', 'sun'],
		['<i class="rt-icon2-moon"></i>', 'moon'],
		['<i class="rt-icon2-cloudy"></i>', 'cloudy'],
		['<i class="rt-icon2-lightning"></i>', 'lightning'],
		['<i class="rt-icon2-rainy"></i>', 'rainy'],
		['<i class="rt-icon2-rainy2"></i>', 'rainy2'],
		['<i class="rt-icon2-snowy"></i>', 'snowy'],
		['<i class="rt-icon2-snowy2"></i>', 'snowy2'],
		['<i class="rt-icon2-weather"></i>', 'weather'],
		['<i class="rt-icon2-store"></i>', 'store'],
		['<i class="rt-icon2-out"></i>', 'out'],
		['<i class="rt-icon2-in"></i>', 'in'],
		['<i class="rt-icon2-in-alt"></i>', 'in-alt'],
		['<i class="rt-icon2-home"></i>', 'home'],
		['<i class="rt-icon2-lightbulb2"></i>', 'lightbulb2'],
		['<i class="rt-icon2-anchor"></i>', 'anchor'],
		['<i class="rt-icon2-feather"></i>', 'feather'],
		['<i class="rt-icon2-expand"></i>', 'expand'],
		['<i class="rt-icon2-maximize"></i>', 'maximize'],
		['<i class="rt-icon2-search3"></i>', 'search3'],
		['<i class="rt-icon2-add"></i>', 'add'],
		['<i class="rt-icon2-subtract"></i>', 'subtract'],
		['<i class="rt-icon2-close2"></i>', 'close2'],
		['<i class="rt-icon2-book"></i>', 'book'],
		['<i class="rt-icon2-spinner"></i>', 'spinner'],
		['<i class="rt-icon2-play"></i>', 'play'],
		['<i class="rt-icon2-stop"></i>', 'stop'],
		['<i class="rt-icon2-pause"></i>', 'pause'],
		['<i class="rt-icon2-forward"></i>', 'forward'],
		['<i class="rt-icon2-rewind"></i>', 'rewind'],
		['<i class="rt-icon2-sound2"></i>', 'sound2'],
		['<i class="rt-icon2-sound-alt"></i>', 'sound-alt'],
		['<i class="rt-icon2-soundoff"></i>', 'soundoff'],
		['<i class="rt-icon2-inbox"></i>', 'inbox'],
		['<i class="rt-icon2-inbox-alt"></i>', 'inbox-alt'],
		['<i class="rt-icon2-envelope"></i>', 'envelope'],
		['<i class="rt-icon2-compose"></i>', 'compose'],
		['<i class="rt-icon2-newspaper-alt"></i>', 'newspaper-alt'],
		['<i class="rt-icon2-calendar5"></i>', 'calendar5'],
		['<i class="rt-icon2-hyperlink"></i>', 'hyperlink'],
		['<i class="rt-icon2-trash2"></i>', 'trash2'],
		['<i class="rt-icon2-menu"></i>', 'menu'],
		['<i class="rt-icon2-gallery"></i>', 'gallery'],
		['<i class="rt-icon2-calculator"></i>', 'calculator'],
		['<i class="rt-icon2-clock2"></i>', 'clock2'],
		['<i class="rt-icon2-portfolio"></i>', 'portfolio'],
		['<i class="rt-icon2-user2"></i>', 'user2'],
		['<i class="rt-icon2-users"></i>', 'users'],
		['<i class="rt-icon2-heart2"></i>', 'heart2'],
		['<i class="rt-icon2-chat"></i>', 'chat'],
		['<i class="rt-icon2-comments"></i>', 'comments'],
		['<i class="rt-icon2-screen"></i>', 'screen'],
		['<i class="rt-icon2-iphone"></i>', 'iphone'],
		['<i class="rt-icon2-instagram"></i>', 'instagram'],
		['<i class="rt-icon2-pin-alt"></i>', 'pin-alt'],
		['<i class="rt-icon2-camera3"></i>', 'camera3'],
		['<i class="rt-icon2-chevron-down"></i>', 'chevron-down'],
		['<i class="rt-icon2-chevron-left"></i>', 'chevron-left'],
		['<i class="rt-icon2-chevron-right"></i>', 'chevron-right'],
		['<i class="rt-icon2-chevron-up"></i>', 'chevron-up'],
		['<i class="rt-icon2-quote3"></i>', 'quote3'],
		['<i class="rt-icon2-search4"></i>', 'search4'],
		['<i class="rt-icon2-triangle-down"></i>', 'triangle-down'],
		['<i class="rt-icon2-triangle-left"></i>', 'triangle-left'],
		['<i class="rt-icon2-triangle-right"></i>', 'triangle-right'],
		['<i class="rt-icon2-triangle-up"></i>', 'triangle-up'],
		['<i class="rt-icon2-file-empty"></i>', 'file-empty'],
		['<i class="rt-icon2-files-empty"></i>', 'files-empty'],
		['<i class="rt-icon2-file-text2"></i>', 'file-text2'],
		['<i class="rt-icon2-file-picture"></i>', 'file-picture'],
		['<i class="rt-icon2-file-music"></i>', 'file-music'],
		['<i class="rt-icon2-file-play"></i>', 'file-play'],
		['<i class="rt-icon2-file-video"></i>', 'file-video'],
		['<i class="rt-icon2-file-zip"></i>', 'file-zip'],
		['<i class="rt-icon2-phone6"></i>', 'phone6'],
		['<i class="rt-icon2-quotes-left"></i>', 'quotes-left'],
		['<i class="rt-icon2-quotes-right"></i>', 'quotes-right'],
		['<i class="rt-icon2-spinner6"></i>', 'spinner6'],
		['<i class="rt-icon2-magnet"></i>', 'magnet'],
		['<i class="rt-icon2-google"></i>', 'google'],
		['<i class="rt-icon2-google-plus"></i>', 'google-plus'],
		['<i class="rt-icon2-google-plus2"></i>', 'google-plus2'],
		['<i class="rt-icon2-google-plus3"></i>', 'google-plus3'],
		['<i class="rt-icon2-google-drive"></i>', 'google-drive'],
		['<i class="rt-icon2-facebook"></i>', 'facebook'],
		['<i class="rt-icon2-facebook2"></i>', 'facebook2'],
		['<i class="rt-icon2-facebook3"></i>', 'facebook3'],
		['<i class="rt-icon2-instagram2"></i>', 'instagram2'],
		['<i class="rt-icon2-twitter"></i>', 'twitter'],
		['<i class="rt-icon2-twitter2"></i>', 'twitter2'],
		['<i class="rt-icon2-twitter3"></i>', 'twitter3'],
		['<i class="rt-icon2-feed2"></i>', 'feed2'],
		['<i class="rt-icon2-feed3"></i>', 'feed3'],
		['<i class="rt-icon2-feed4"></i>', 'feed4'],
		['<i class="rt-icon2-youtube5"></i>', 'youtube5'],
		['<i class="rt-icon2-youtube2"></i>', 'youtube2'],
		['<i class="rt-icon2-youtube3"></i>', 'youtube3'],
		['<i class="rt-icon2-youtube4"></i>', 'youtube4'],
		['<i class="rt-icon2-vimeo"></i>', 'vimeo'],
		['<i class="rt-icon2-vimeo2"></i>', 'vimeo2'],
		['<i class="rt-icon2-vimeo3"></i>', 'vimeo3'],
		['<i class="rt-icon2-lanyrd"></i>', 'lanyrd'],
		['<i class="rt-icon2-flickr"></i>', 'flickr'],
		['<i class="rt-icon2-flickr2"></i>', 'flickr2'],
		['<i class="rt-icon2-flickr3"></i>', 'flickr3'],
		['<i class="rt-icon2-flickr4"></i>', 'flickr4'],
		['<i class="rt-icon2-picassa"></i>', 'picassa'],
		['<i class="rt-icon2-picassa2"></i>', 'picassa2'],
		['<i class="rt-icon2-dribbble"></i>', 'dribbble'],
		['<i class="rt-icon2-dribbble2"></i>', 'dribbble2'],
		['<i class="rt-icon2-dribbble3"></i>', 'dribbble3'],
		['<i class="rt-icon2-dropbox"></i>', 'dropbox'],
		['<i class="rt-icon2-github3"></i>', 'github3'],
		['<i class="rt-icon2-wordpress"></i>', 'wordpress'],
		['<i class="rt-icon2-wordpress2"></i>', 'wordpress2'],
		['<i class="rt-icon2-joomla"></i>', 'joomla'],
		['<i class="rt-icon2-blogger"></i>', 'blogger'],
		['<i class="rt-icon2-blogger2"></i>', 'blogger2'],
		['<i class="rt-icon2-tumblr"></i>', 'tumblr'],
		['<i class="rt-icon2-tumblr2"></i>', 'tumblr2'],
		['<i class="rt-icon2-apple"></i>', 'apple'],
		['<i class="rt-icon2-android"></i>', 'android'],
		['<i class="rt-icon2-windows"></i>', 'windows'],
		['<i class="rt-icon2-windows8"></i>', 'windows8'],
		['<i class="rt-icon2-skype"></i>', 'skype'],
		['<i class="rt-icon2-reddit"></i>', 'reddit'],
		['<i class="rt-icon2-linkedin"></i>', 'linkedin'],
		['<i class="rt-icon2-linkedin2"></i>', 'linkedin2'],
		['<i class="rt-icon2-lastfm"></i>', 'lastfm'],
		['<i class="rt-icon2-lastfm2"></i>', 'lastfm2'],
		['<i class="rt-icon2-delicious"></i>', 'delicious'],
		['<i class="rt-icon2-stumbleupon"></i>', 'stumbleupon'],
		['<i class="rt-icon2-stumbleupon2"></i>', 'stumbleupon2'],
		['<i class="rt-icon2-pinterest"></i>', 'pinterest'],
		['<i class="rt-icon2-pinterest2"></i>', 'pinterest2'],
		['<i class="rt-icon2-html5"></i>', 'html5'],
		['<i class="rt-icon2-html52"></i>', 'html52'],
		['<i class="rt-icon2-css3"></i>', 'css3'],
		['<i class="rt-icon2-chrome"></i>', 'chrome'],
		['<i class="rt-icon2-firefox"></i>', 'firefox'],
		['<i class="rt-icon2-IE"></i>', 'IE'],
		['<i class="rt-icon2-opera"></i>', 'opera'],
		['<i class="rt-icon2-safari"></i>', 'safari'],
		['<i class="rt-icon2-times2"></i>', 'times2'],
		['<i class="rt-icon2-tick"></i>', 'tick'],
		['<i class="rt-icon2-plus2"></i>', 'plus2'],
		['<i class="rt-icon2-minus2"></i>', 'minus2'],
		['<i class="rt-icon2-equals"></i>', 'equals'],
		['<i class="rt-icon2-divide"></i>', 'divide'],
		['<i class="rt-icon2-chevron-right2"></i>', 'chevron-right2'],
		['<i class="rt-icon2-chevron-left2"></i>', 'chevron-left2'],
		['<i class="rt-icon2-arrow-right-thick"></i>', 'arrow-right-thick'],
		['<i class="rt-icon2-arrow-left-thick"></i>', 'arrow-left-thick'],
		['<i class="rt-icon2-home2"></i>', 'home2'],
		['<i class="rt-icon2-arrow-forward"></i>', 'arrow-forward'],
		['<i class="rt-icon2-arrow-back"></i>', 'arrow-back'],
		['<i class="rt-icon2-link2"></i>', 'link2'],
		['<i class="rt-icon2-image2"></i>', 'image2'],
		['<i class="rt-icon2-delete-outline"></i>', 'delete-outline'],
		['<i class="rt-icon2-cloud-storage"></i>', 'cloud-storage'],
		['<i class="rt-icon2-heart3"></i>', 'heart3'],
		['<i class="rt-icon2-attachment2"></i>', 'attachment2'],
		['<i class="rt-icon2-media-pause"></i>', 'media-pause'],
		['<i class="rt-icon2-group"></i>', 'group'],
		['<i class="rt-icon2-chart-pie"></i>', 'chart-pie'],
		['<i class="rt-icon2-chart-line"></i>', 'chart-line'],
		['<i class="rt-icon2-chart-bar"></i>', 'chart-bar'],
		['<i class="rt-icon2-chart-area"></i>', 'chart-area'],
		['<i class="rt-icon2-globe2"></i>', 'globe2'],
		['<i class="rt-icon2-eye2"></i>', 'eye2'],
		['<i class="rt-icon2-cog3"></i>', 'cog3'],
		['<i class="rt-icon2-camera4"></i>', 'camera4'],
		['<i class="rt-icon2-refresh"></i>', 'refresh'],
		['<i class="rt-icon2-info-large"></i>', 'info-large'],
		['<i class="rt-icon2-zoom"></i>', 'zoom'],
		['<i class="rt-icon2-zoom-out"></i>', 'zoom-out'],
		['<i class="rt-icon2-zoom-in"></i>', 'zoom-in'],
		['<i class="rt-icon2-sort-numerically"></i>', 'sort-numerically'],
		['<i class="rt-icon2-sort-alphabetically"></i>', 'sort-alphabetically'],
		['<i class="rt-icon2-input-checked"></i>', 'input-checked'],
		['<i class="rt-icon2-calender"></i>', 'calender'],
		['<i class="rt-icon2-spanner"></i>', 'spanner'],
		['<i class="rt-icon2-phone7"></i>', 'phone7'],
		['<i class="rt-icon2-media-rewind"></i>', 'media-rewind'],
		['<i class="rt-icon2-adjust-brightness"></i>', 'adjust-brightness'],
		['<i class="rt-icon2-waves"></i>', 'waves'],
		['<i class="rt-icon2-social-twitter"></i>', 'social-twitter'],
		['<i class="rt-icon2-social-facebook"></i>', 'social-facebook'],
		['<i class="rt-icon2-social-dribbble"></i>', 'social-dribbble'],
		['<i class="rt-icon2-media-stop"></i>', 'media-stop'],
		['<i class="rt-icon2-media-record"></i>', 'media-record'],
		['<i class="rt-icon2-media-play"></i>', 'media-play'],
		['<i class="rt-icon2-media-fast-forward"></i>', 'media-fast-forward'],
		['<i class="rt-icon2-media-eject"></i>', 'media-eject'],
		['<i class="rt-icon2-social-vimeo"></i>', 'social-vimeo'],
		['<i class="rt-icon2-social-tumbler"></i>', 'social-tumbler'],
		['<i class="rt-icon2-social-skype"></i>', 'social-skype'],
		['<i class="rt-icon2-social-pinterest"></i>', 'social-pinterest'],
		['<i class="rt-icon2-social-linkedin"></i>', 'social-linkedin'],
		['<i class="rt-icon2-social-last-fm"></i>', 'social-last-fm'],
		['<i class="rt-icon2-social-github"></i>', 'social-github'],
		['<i class="rt-icon2-social-flickr"></i>', 'social-flickr'],
		['<i class="rt-icon2-at"></i>', 'at'],
		['<i class="rt-icon2-times-outline"></i>', 'times-outline'],
		['<i class="rt-icon2-plus-outline"></i>', 'plus-outline'],
		['<i class="rt-icon2-minus-outline"></i>', 'minus-outline'],
		['<i class="rt-icon2-tick-outline"></i>', 'tick-outline'],
		['<i class="rt-icon2-th-large-outline"></i>', 'th-large-outline'],
		['<i class="rt-icon2-equals-outline"></i>', 'equals-outline'],
		['<i class="rt-icon2-divide-outline"></i>', 'divide-outline'],
		['<i class="rt-icon2-chevron-right-outline"></i>', 'chevron-right-outline'],
		['<i class="rt-icon2-chevron-left-outline"></i>', 'chevron-left-outline'],
		['<i class="rt-icon2-arrow-right-outline"></i>', 'arrow-right-outline'],
		['<i class="rt-icon2-arrow-left-outline"></i>', 'arrow-left-outline'],
		['<i class="rt-icon2-th-small-outline"></i>', 'th-small-outline'],
		['<i class="rt-icon2-th-menu-outline"></i>', 'th-menu-outline'],
		['<i class="rt-icon2-th-list-outline"></i>', 'th-list-outline'],
		['<i class="rt-icon2-home-outline"></i>', 'home-outline'],
		['<i class="rt-icon2-arrow-up-outline"></i>', 'arrow-up-outline'],
		['<i class="rt-icon2-arrow-forward-outline"></i>', 'arrow-forward-outline'],
		['<i class="rt-icon2-arrow-down-outline"></i>', 'arrow-down-outline'],
		['<i class="rt-icon2-arrow-back-outline"></i>', 'arrow-back-outline'],
		['<i class="rt-icon2-trash3"></i>', 'trash3'],
		['<i class="rt-icon2-rss-outline"></i>', 'rss-outline'],
		['<i class="rt-icon2-message"></i>', 'message'],
		['<i class="rt-icon2-location-outline"></i>', 'location-outline'],
		['<i class="rt-icon2-link-outline"></i>', 'link-outline'],
		['<i class="rt-icon2-image-outline"></i>', 'image-outline'],
		['<i class="rt-icon2-export-outline"></i>', 'export-outline'],
		['<i class="rt-icon2-cross"></i>', 'cross'],
		['<i class="rt-icon2-wi-fi-outline"></i>', 'wi-fi-outline'],
		['<i class="rt-icon2-star-outline"></i>', 'star-outline'],
		['<i class="rt-icon2-media-pause-outline"></i>', 'media-pause-outline'],
		['<i class="rt-icon2-mail2"></i>', 'mail2'],
		['<i class="rt-icon2-heart-outline"></i>', 'heart-outline'],
		['<i class="rt-icon2-flash-outline"></i>', 'flash-outline'],
		['<i class="rt-icon2-cancel-outline"></i>', 'cancel-outline'],
		['<i class="rt-icon2-arrow-move-outline"></i>', 'arrow-move-outline'],
		['<i class="rt-icon2-watch"></i>', 'watch'],
		['<i class="rt-icon2-warning-outline"></i>', 'warning-outline'],
		['<i class="rt-icon2-time2"></i>', 'time2'],
		['<i class="rt-icon2-radar-outline"></i>', 'radar-outline'],
		['<i class="rt-icon2-lock-open-outline"></i>', 'lock-open-outline'],
		['<i class="rt-icon2-location-arrow-outline"></i>', 'location-arrow-outline'],
		['<i class="rt-icon2-info-outline"></i>', 'info-outline'],
		['<i class="rt-icon2-backspace-outline"></i>', 'backspace-outline'],
		['<i class="rt-icon2-attachment-outline"></i>', 'attachment-outline'],
		['<i class="rt-icon2-user-outline"></i>', 'user-outline'],
		['<i class="rt-icon2-user-delete-outline"></i>', 'user-delete-outline'],
		['<i class="rt-icon2-user-add-outline"></i>', 'user-add-outline'],
		['<i class="rt-icon2-lock-closed-outline"></i>', 'lock-closed-outline'],
		['<i class="rt-icon2-group-outline"></i>', 'group-outline'],
		['<i class="rt-icon2-chart-pie-outline"></i>', 'chart-pie-outline'],
		['<i class="rt-icon2-chart-line-outline"></i>', 'chart-line-outline'],
		['<i class="rt-icon2-chart-bar-outline"></i>', 'chart-bar-outline'],
		['<i class="rt-icon2-chart-area-outline"></i>', 'chart-area-outline'],
		['<i class="rt-icon2-video-outline"></i>', 'video-outline'],
		['<i class="rt-icon2-point-of-interest-outline"></i>', 'point-of-interest-outline'],
		['<i class="rt-icon2-map2"></i>', 'map2'],
		['<i class="rt-icon2-key-outline"></i>', 'key-outline'],
		['<i class="rt-icon2-infinity-outline"></i>', 'infinity-outline'],
		['<i class="rt-icon2-globe-outline"></i>', 'globe-outline'],
		['<i class="rt-icon2-eye-outline"></i>', 'eye-outline'],
		['<i class="rt-icon2-cog-outline"></i>', 'cog-outline'],
		['<i class="rt-icon2-camera-outline"></i>', 'camera-outline'],
		['<i class="rt-icon2-support"></i>', 'support'],
		['<i class="rt-icon2-scissors-outline"></i>', 'scissors-outline'],
		['<i class="rt-icon2-refresh-outline"></i>', 'refresh-outline'],
		['<i class="rt-icon2-info-large-outline"></i>', 'info-large-outline'],
		['<i class="rt-icon2-download-outline"></i>', 'download-outline'],
		['<i class="rt-icon2-battery-low"></i>', 'battery-low'],
		['<i class="rt-icon2-zoom-outline"></i>', 'zoom-outline'],
		['<i class="rt-icon2-zoom-out-outline"></i>', 'zoom-out-outline'],
		['<i class="rt-icon2-zoom-in-outline"></i>', 'zoom-in-outline'],
		['<i class="rt-icon2-tag3"></i>', 'tag3'],
		['<i class="rt-icon2-tabs-outline"></i>', 'tabs-outline'],
		['<i class="rt-icon2-pin-outline"></i>', 'pin-outline'],
		['<i class="rt-icon2-message-typing"></i>', 'message-typing'],
		['<i class="rt-icon2-directions"></i>', 'directions'],
		['<i class="rt-icon2-battery-full"></i>', 'battery-full'],
		['<i class="rt-icon2-battery-charge"></i>', 'battery-charge'],
		['<i class="rt-icon2-pencil3"></i>', 'pencil3'],
		['<i class="rt-icon2-folder"></i>', 'folder'],
		['<i class="rt-icon2-folder-delete"></i>', 'folder-delete'],
		['<i class="rt-icon2-folder-add"></i>', 'folder-add'],
		['<i class="rt-icon2-edit"></i>', 'edit'],
		['<i class="rt-icon2-document2"></i>', 'document2'],
		['<i class="rt-icon2-document-delete"></i>', 'document-delete'],
		['<i class="rt-icon2-document-add"></i>', 'document-add'],
		['<i class="rt-icon2-brush"></i>', 'brush'],
		['<i class="rt-icon2-thumbs-up"></i>', 'thumbs-up'],
		['<i class="rt-icon2-thumbs-down"></i>', 'thumbs-down'],
		['<i class="rt-icon2-pen2"></i>', 'pen2'],
		['<i class="rt-icon2-sort-numerically-outline"></i>', 'sort-numerically-outline'],
		['<i class="rt-icon2-sort-alphabetically-outline"></i>', 'sort-alphabetically-outline'],
		['<i class="rt-icon2-social-last-fm-circular"></i>', 'social-last-fm-circular'],
		['<i class="rt-icon2-social-github-circular"></i>', 'social-github-circular'],
		['<i class="rt-icon2-compass3"></i>', 'compass3'],
		['<i class="rt-icon2-code-outline"></i>', 'code-outline'],
		['<i class="rt-icon2-calender-outline"></i>', 'calender-outline'],
		['<i class="rt-icon2-business-card"></i>', 'business-card'],
		['<i class="rt-icon2-arrow-up"></i>', 'arrow-up'],
		['<i class="rt-icon2-arrow-right"></i>', 'arrow-right'],
		['<i class="rt-icon2-arrow-left"></i>', 'arrow-left'],
		['<i class="rt-icon2-document-text"></i>', 'document-text'],
		['<i class="rt-icon2-clipboard2"></i>', 'clipboard2'],
		['<i class="rt-icon2-calculator2"></i>', 'calculator2'],
		['<i class="rt-icon2-arrow-minimise-outline"></i>', 'arrow-minimise-outline'],
		['<i class="rt-icon2-arrow-maximise-outline"></i>', 'arrow-maximise-outline'],
		['<i class="rt-icon2-arrow-down"></i>', 'arrow-down'],
		['<i class="rt-icon2-gift2"></i>', 'gift2'],
		['<i class="rt-icon2-film3"></i>', 'film3'],
		['<i class="rt-icon2-bell"></i>', 'bell'],
		['<i class="rt-icon2-anchor-outline"></i>', 'anchor-outline'],
		['<i class="rt-icon2-world-outline"></i>', 'world-outline'],
		['<i class="rt-icon2-shopping-bag"></i>', 'shopping-bag'],
		['<i class="rt-icon2-power-outline"></i>', 'power-outline'],
		['<i class="rt-icon2-notes-outline"></i>', 'notes-outline'],
		['<i class="rt-icon2-device-tablet"></i>', 'device-tablet'],
		['<i class="rt-icon2-device-phone"></i>', 'device-phone'],
		['<i class="rt-icon2-device-laptop"></i>', 'device-laptop'],
		['<i class="rt-icon2-device-desktop"></i>', 'device-desktop'],
		['<i class="rt-icon2-briefcase"></i>', 'briefcase'],
		['<i class="rt-icon2-stopwatch"></i>', 'stopwatch'],
		['<i class="rt-icon2-spanner-outline"></i>', 'spanner-outline'],
		['<i class="rt-icon2-puzzle-outline"></i>', 'puzzle-outline'],
		['<i class="rt-icon2-printer2"></i>', 'printer2'],
		['<i class="rt-icon2-lightbulb3"></i>', 'lightbulb3'],
		['<i class="rt-icon2-flag-outline"></i>', 'flag-outline'],
		['<i class="rt-icon2-contacts"></i>', 'contacts'],
		['<i class="rt-icon2-weather-stormy"></i>', 'weather-stormy'],
		['<i class="rt-icon2-weather-shower"></i>', 'weather-shower'],
		['<i class="rt-icon2-weather-partly-sunny"></i>', 'weather-partly-sunny'],
		['<i class="rt-icon2-weather-downpour"></i>', 'weather-downpour'],
		['<i class="rt-icon2-weather-cloudy"></i>', 'weather-cloudy'],
		['<i class="rt-icon2-plane-outline"></i>', 'plane-outline'],
		['<i class="rt-icon2-phone-outline"></i>', 'phone-outline'],
		['<i class="rt-icon2-microphone-outline"></i>', 'microphone-outline'],
		['<i class="rt-icon2-weather-windy"></i>', 'weather-windy'],
		['<i class="rt-icon2-weather-windy-cloudy"></i>', 'weather-windy-cloudy'],
		['<i class="rt-icon2-weather-sunny"></i>', 'weather-sunny'],
		['<i class="rt-icon2-weather-snow"></i>', 'weather-snow'],
		['<i class="rt-icon2-weather-night"></i>', 'weather-night'],
		['<i class="rt-icon2-media-stop-outline"></i>', 'media-stop-outline'],
		['<i class="rt-icon2-media-rewind-outline"></i>', 'media-rewind-outline'],
		['<i class="rt-icon2-media-record-outline"></i>', 'media-record-outline'],
		['<i class="rt-icon2-media-play-outline"></i>', 'media-play-outline'],
		['<i class="rt-icon2-media-fast-forward-outline"></i>', 'media-fast-forward-outline'],
		['<i class="rt-icon2-media-eject-outline"></i>', 'media-eject-outline'],
		['<i class="rt-icon2-wine2"></i>', 'wine2'],
		['<i class="rt-icon2-waves-outline"></i>', 'waves-outline'],
		['<i class="rt-icon2-ticket"></i>', 'ticket'],
		['<i class="rt-icon2-tags2"></i>', 'tags2'],
		['<i class="rt-icon2-plug"></i>', 'plug'],
		['<i class="rt-icon2-headphones"></i>', 'headphones'],
		['<i class="rt-icon2-credit-card"></i>', 'credit-card'],
		['<i class="rt-icon2-coffee3"></i>', 'coffee3'],
		['<i class="rt-icon2-book2"></i>', 'book2'],
		['<i class="rt-icon2-beer"></i>', 'beer'],
		['<i class="rt-icon2-volume"></i>', 'volume'],
		['<i class="rt-icon2-volume-up"></i>', 'volume-up'],
		['<i class="rt-icon2-volume-mute"></i>', 'volume-mute'],
		['<i class="rt-icon2-volume-down"></i>', 'volume-down'],
		['<i class="rt-icon2-social-vimeo-circular"></i>', 'social-vimeo-circular'],
		['<i class="rt-icon2-social-twitter-circular"></i>', 'social-twitter-circular'],
		['<i class="rt-icon2-social-pinterest-circular"></i>', 'social-pinterest-circular'],
		['<i class="rt-icon2-social-linkedin-circular"></i>', 'social-linkedin-circular'],
		['<i class="rt-icon2-social-facebook-circular"></i>', 'social-facebook-circular'],
		['<i class="rt-icon2-social-dribbble-circular"></i>', 'social-dribbble-circular'],
		['<i class="rt-icon2-tree"></i>', 'tree'],
		['<i class="rt-icon2-thermometer2"></i>', 'thermometer2'],
		['<i class="rt-icon2-social-tumbler-circular"></i>', 'social-tumbler-circular'],
		['<i class="rt-icon2-social-skype-outline"></i>', 'social-skype-outline'],
		['<i class="rt-icon2-social-flickr-circular"></i>', 'social-flickr-circular'],
		['<i class="rt-icon2-social-at-circular"></i>', 'social-at-circular'],
		['<i class="rt-icon2-shopping-cart"></i>', 'shopping-cart'],
		['<i class="rt-icon2-messages"></i>', 'messages'],
		['<i class="rt-icon2-leaf"></i>', 'leaf'],
		['<i class="rt-icon2-feather2"></i>', 'feather2'],
		['<i class="rt-icon2-keyboard_arrow_down"></i>', 'keyboard_arrow_down'],
		['<i class="rt-icon2-keyboard_arrow_left"></i>', 'keyboard_arrow_left'],
		['<i class="rt-icon2-keyboard_arrow_right"></i>', 'keyboard_arrow_right'],
		['<i class="rt-icon2-keyboard_arrow_up"></i>', 'keyboard_arrow_up'],
		['<i class="rt-icon2-directions_bus"></i>', 'directions_bus'],
		['<i class="rt-icon2-directions_car"></i>', 'directions_car'],
		['<i class="rt-icon2-directions_ferry"></i>', 'directions_ferry'],
		['<i class="rt-icon2-directions_subway"></i>', 'directions_subway'],
		['<i class="rt-icon2-directions_railway"></i>', 'directions_railway'],
		['<i class="rt-icon2-directions_walk"></i>', 'directions_walk'],
		['<i class="rt-icon2-flight"></i>', 'flight'],
		['<i class="rt-icon2-restaurant_menu"></i>', 'restaurant_menu'],
		['<i class="rt-icon2-wifi"></i>', 'wifi'],
		['<i class="rt-icon2-cake"></i>', 'cake'],
		['<i class="rt-icon2-favorite_outline"></i>', 'favorite_outline'],
		['<i class="rt-icon2-lock_open"></i>', 'lock_open'],
		['<i class="rt-icon2-lock_outline"></i>', 'lock_outline'],
		['<i class="rt-icon2-perm_identity"></i>', 'perm_identity'],
		['<i class="rt-icon2-search"></i>', 'search'],
		['<i class="rt-icon2-eye3"></i>', 'eye3'],
		['<i class="rt-icon2-paper-clip"></i>', 'paper-clip'],
		['<i class="rt-icon2-mail3"></i>', 'mail3'],
		['<i class="rt-icon2-image3"></i>', 'image3'],
		['<i class="rt-icon2-clock3"></i>', 'clock3'],
		['<i class="rt-icon2-watch2"></i>', 'watch2'],
		['<i class="rt-icon2-camera5"></i>', 'camera5'],
		['<i class="rt-icon2-video3"></i>', 'video3'],
		['<i class="rt-icon2-monitor2"></i>', 'monitor2'],
		['<i class="rt-icon2-cog4"></i>', 'cog4'],
		['<i class="rt-icon2-heart4"></i>', 'heart4'],
		['<i class="rt-icon2-layers2"></i>', 'layers2'],
		['<i class="rt-icon2-paper"></i>', 'paper'],
		['<i class="rt-icon2-search5"></i>', 'search5'],
		['<i class="rt-icon2-microphone2"></i>', 'microphone2'],
		['<i class="rt-icon2-umbrella2"></i>', 'umbrella2'],
		['<i class="rt-icon2-moon2"></i>', 'moon2'],
		['<i class="rt-icon2-thermometer3"></i>', 'thermometer3'],
		['<i class="rt-icon2-drop"></i>', 'drop'],
		['<i class="rt-icon2-sun2"></i>', 'sun2'],
		['<i class="rt-icon2-cloud2"></i>', 'cloud2'],
		['<i class="rt-icon2-map3"></i>', 'map3'],
		['<i class="rt-icon2-head"></i>', 'head'],
		['<i class="rt-icon2-briefcase2"></i>', 'briefcase2'],
		['<i class="rt-icon2-speech-bubble"></i>', 'speech-bubble'],
		['<i class="rt-icon2-globe3"></i>', 'globe3'],
		['<i class="rt-icon2-tag4"></i>', 'tag4'],
		['<i class="rt-icon2-star2"></i>', 'star2'],
		['<i class="rt-icon2-plus3"></i>', 'plus3'],
		['<i class="rt-icon2-minus3"></i>', 'minus3'],
		['<i class="rt-icon2-check2"></i>', 'check2'],
		['<i class="rt-icon2-cross2"></i>', 'cross2'],
		['<i class="rt-icon2-help"></i>', 'help'],
		['<i class="rt-icon2-files"></i>', 'files'],
		['<i class="rt-icon2-file2"></i>', 'file2'],
		['<i class="rt-icon2-browser"></i>', 'browser'],
		['<i class="rt-icon2-wifi-full"></i>', 'wifi-full'],
		['<i class="rt-icon2-microphone3"></i>', 'microphone3'],
		['<i class="rt-icon2-trashcan2"></i>', 'trashcan2'],
		['<i class="rt-icon2-search6"></i>', 'search6'],
		['<i class="rt-icon2-calendar6"></i>', 'calendar6'],
		['<i class="rt-icon2-heart5"></i>', 'heart5'],
		['<i class="rt-icon2-star3"></i>', 'star3'],
		['<i class="rt-icon2-clock4"></i>', 'clock4'],
		['<i class="rt-icon2-users2"></i>', 'users2'],
		['<i class="rt-icon2-user3"></i>', 'user3'],
		['<i class="rt-icon2-creditcards"></i>', 'creditcards'],
		['<i class="rt-icon2-calculator3"></i>', 'calculator3'],
		['<i class="rt-icon2-bag"></i>', 'bag'],
		['<i class="rt-icon2-diamond3"></i>', 'diamond3'],
		['<i class="rt-icon2-drink4"></i>', 'drink4'],
		['<i class="rt-icon2-shorts"></i>', 'shorts'],
		['<i class="rt-icon2-coffee4"></i>', 'coffee4'],
		['<i class="rt-icon2-map4"></i>', 'map4'],
		['<i class="rt-icon2-syringe"></i>', 'syringe'],
		['<i class="rt-icon2-pill"></i>', 'pill'],
		['<i class="rt-icon2-lab3"></i>', 'lab3'],
		['<i class="rt-icon2-mug2"></i>', 'mug2'],
		['<i class="rt-icon2-chart"></i>', 'chart'],
		['<i class="rt-icon2-pencil4"></i>', 'pencil4'],
		['<i class="rt-icon2-envelope-o"></i>', 'envelope-o'],
		['<i class="rt-icon2-star-o"></i>', 'star-o'],
		['<i class="rt-icon2-film"></i>', 'film'],
		['<i class="rt-icon2-check"></i>', 'check'],
		['<i class="rt-icon2-close"></i>', 'close'],
		['<i class="rt-icon2-remove"></i>', 'remove'],
		['<i class="rt-icon2-times"></i>', 'times'],
		['<i class="rt-icon2-cog"></i>', 'cog'],
		['<i class="rt-icon2-gear"></i>', 'gear'],
		['<i class="rt-icon2-trash-o"></i>', 'trash-o'],
		['<i class="rt-icon2-file-o"></i>', 'file-o'],
		['<i class="rt-icon2-clock-o"></i>', 'clock-o'],
		['<i class="rt-icon2-tags"></i>', 'tags'],
		['<i class="rt-icon2-thumbs-o-up"></i>', 'thumbs-o-up'],
		['<i class="rt-icon2-thumbs-o-down"></i>', 'thumbs-o-down'],
		['<i class="rt-icon2-heart-o"></i>', 'heart-o'],
		['<i class="rt-icon2-phone"></i>', 'phone'],
		['<i class="rt-icon2-umbrella"></i>', 'umbrella'],
		['<i class="rt-icon2-lightbulb-o"></i>', 'lightbulb-o'],
		['<i class="rt-icon2-user-md"></i>', 'user-md'],
		['<i class="rt-icon2-stethoscope"></i>', 'stethoscope'],
		['<i class="rt-icon2-suitcase"></i>', 'suitcase'],
		['<i class="rt-icon2-coffee"></i>', 'coffee'],
		['<i class="rt-icon2-cutlery"></i>', 'cutlery'],
		['<i class="rt-icon2-file-text-o"></i>', 'file-text-o'],
		['<i class="rt-icon2-building-o"></i>', 'building-o'],
		['<i class="rt-icon2-hospital-o"></i>', 'hospital-o'],
		['<i class="rt-icon2-ambulance"></i>', 'ambulance'],
		['<i class="rt-icon2-medkit"></i>', 'medkit'],
		['<i class="rt-icon2-angle-left"></i>', 'angle-left'],
		['<i class="rt-icon2-angle-right"></i>', 'angle-right'],
		['<i class="rt-icon2-angle-up"></i>', 'angle-up'],
		['<i class="rt-icon2-angle-down"></i>', 'angle-down'],
		['<i class="rt-icon2-desktop"></i>', 'desktop'],
		['<i class="rt-icon2-laptop"></i>', 'laptop'],
		['<i class="rt-icon2-tablet"></i>', 'tablet'],
		['<i class="rt-icon2-mobile"></i>', 'mobile'],
		['<i class="rt-icon2-mobile-phone"></i>', 'mobile-phone'],
		['<i class="rt-icon2-quote-left"></i>', 'quote-left'],
		['<i class="rt-icon2-quote-right"></i>', 'quote-right'],
		['<i class="rt-icon2-youtube"></i>', 'youtube'],
		['<i class="rt-icon2-file-pdf-o"></i>', 'file-pdf-o'],
		['<i class="rt-icon2-file-word-o"></i>', 'file-word-o'],
		['<i class="rt-icon2-file-excel-o"></i>', 'file-excel-o'],
		['<i class="rt-icon2-file-powerpoint-o"></i>', 'file-powerpoint-o'],
		['<i class="rt-icon2-file-image-o"></i>', 'file-image-o'],
		['<i class="rt-icon2-file-photo-o"></i>', 'file-photo-o'],
		['<i class="rt-icon2-file-picture-o"></i>', 'file-picture-o'],
		['<i class="rt-icon2-file-archive-o"></i>', 'file-archive-o'],
		['<i class="rt-icon2-file-zip-o"></i>', 'file-zip-o'],
		['<i class="rt-icon2-file-audio-o"></i>', 'file-audio-o'],
		['<i class="rt-icon2-file-sound-o"></i>', 'file-sound-o'],
		['<i class="rt-icon2-file-movie-o"></i>', 'file-movie-o'],
		['<i class="rt-icon2-file-video-o"></i>', 'file-video-o'],
		['<i class="rt-icon2-file-code-o"></i>', 'file-code-o'],
		['<i class="rt-icon2-paper-plane-o"></i>', 'paper-plane-o'],
		['<i class="rt-icon2-send-o"></i>', 'send-o'],
		['<i class="rt-icon2-futbol-o"></i>', 'futbol-o'],
		['<i class="rt-icon2-soccer-ball-o"></i>', 'soccer-ball-o'],
		['<i class="rt-icon2-birthday-cake"></i>', 'birthday-cake'],
		['<i class="rt-icon2-diamond"></i>', 'diamond'],
		['<i class="rt-icon2-whatsapp"></i>', 'whatsapp'],
		['<i class="rt-icon2-chevron-down2"></i>', 'chevron-down2'],
		['<i class="rt-icon2-chevron-left3"></i>', 'chevron-left3'],
		['<i class="rt-icon2-chevron-right3"></i>', 'chevron-right3'],
		['<i class="rt-icon2-chevron-small-down"></i>', 'chevron-small-down'],
		['<i class="rt-icon2-chevron-small-left"></i>', 'chevron-small-left'],
		['<i class="rt-icon2-chevron-small-right"></i>', 'chevron-small-right'],
		['<i class="rt-icon2-chevron-small-up"></i>', 'chevron-small-up'],
		['<i class="rt-icon2-chevron-thin-down"></i>', 'chevron-thin-down'],
		['<i class="rt-icon2-chevron-thin-left"></i>', 'chevron-thin-left'],
		['<i class="rt-icon2-chevron-thin-right"></i>', 'chevron-thin-right'],
		['<i class="rt-icon2-chevron-thin-up"></i>', 'chevron-thin-up'],
		['<i class="rt-icon2-chevron-up2"></i>', 'chevron-up2'],
		['<i class="rt-icon2-code"></i>', 'code'],
		['<i class="rt-icon2-light-bulb"></i>', 'light-bulb'],
		['<i class="rt-icon2-magnifying-glass2"></i>', 'magnifying-glass2'],
		['<i class="rt-icon2-map5"></i>', 'map5'],
		['<i class="rt-icon2-scissors"></i>', 'scissors'],
		['<i class="rt-icon2-tools2"></i>', 'tools2'],
		['<i class="rt-icon2-box"></i>', 'box'],
		['<i class="rt-icon2-write"></i>', 'write'],
		['<i class="rt-icon2-clock5"></i>', 'clock5'],
		['<i class="rt-icon2-search7"></i>', 'search7'],
		['<i class="rt-icon2-trash4"></i>', 'trash4'],
		['<i class="rt-icon2-envelope2"></i>', 'envelope2'],
		['<i class="rt-icon2-bubble2"></i>', 'bubble2'],
		['<i class="rt-icon2-camera6"></i>', 'camera6'],
		['<i class="rt-icon2-image4"></i>', 'image4'],
		['<i class="rt-icon2-tag5"></i>', 'tag5'],
		['<i class="rt-icon2-heart6"></i>', 'heart6'],
		['<i class="rt-icon2-video-camera"></i>', 'video-camera'],
		['<i class="rt-icon2-cart"></i>', 'cart'],
		['<i class="rt-icon2-film4"></i>', 'film4'],
		['<i class="rt-icon2-home3"></i>', 'home3'],
		['<i class="fa fa-angellist"></i>', 'angellist'],
		['<i class="fa fa-area-chart"></i>', 'area-chart'],
		['<i class="fa fa-at"></i>', 'at'],
		['<i class="fa fa-bell-slash"></i>', 'bell-slash'],
		['<i class="fa fa-bell-slash-o"></i>', 'bell-slash-o'],
		['<i class="fa fa-bicycle"></i>', 'bicycle'],
		['<i class="fa fa-binoculars"></i>', 'binoculars'],
		['<i class="fa fa-birthday-cake"></i>', 'birthday-cake'],
		['<i class="fa fa-bus"></i>', 'bus'],
		['<i class="fa fa-calculator"></i>', 'calculator'],
		['<i class="fa fa-cc"></i>', 'cc'],
		['<i class="fa fa-cc-amex"></i>', 'cc-amex'],
		['<i class="fa fa-cc-discover"></i>', 'cc-discover'],
		['<i class="fa fa-cc-mastercard"></i>', 'cc-mastercard'],
		['<i class="fa fa-cc-paypal"></i>', 'cc-paypal'],
		['<i class="fa fa-cc-stripe"></i>', 'cc-stripe'],
		['<i class="fa fa-cc-visa"></i>', 'cc-visa'],
		['<i class="fa fa-copyright"></i>', 'copyright'],
		['<i class="fa fa-eyedropper"></i>', 'eyedropper'],
		['<i class="fa fa-futbol-o"></i>', 'futbol-o'],
		['<i class="fa fa-google-wallet"></i>', 'google-wallet'],
		['<i class="fa fa-ils"></i>', 'ils'],
		['<i class="fa fa-ioxhost"></i>', 'ioxhost'],
		['<i class="fa fa-lastfm"></i>', 'lastfm'],
		['<i class="fa fa-lastfm-square"></i>', 'lastfm-square'],
		['<i class="fa fa-line-chart"></i>', 'line-chart'],
		['<i class="fa fa-meanpath"></i>', 'meanpath'],
		['<i class="fa fa-newspaper-o"></i>', 'newspaper-o'],
		['<i class="fa fa-paint-brush"></i>', 'paint-brush'],
		['<i class="fa fa-paypal"></i>', 'paypal'],
		['<i class="fa fa-pie-chart"></i>', 'pie-chart'],
		['<i class="fa fa-plug"></i>', 'plug'],
		['<i class="fa fa-shekel"></i>', 'shekel'],
		['<i class="fa fa-sheqel"></i>', 'sheqel'],
		['<i class="fa fa-slideshare"></i>', 'slideshare'],
		['<i class="fa fa-soccer-ball-o"></i>', 'soccer-ball-o'],
		['<i class="fa fa-toggle-off"></i>', 'toggle-off'],
		['<i class="fa fa-toggle-on"></i>', 'toggle-on'],
		['<i class="fa fa-trash"></i>', 'trash'],
		['<i class="fa fa-tty"></i>', 'tty'],
		['<i class="fa fa-twitch"></i>', 'twitch'],
		['<i class="fa fa-wifi"></i>', 'wifi'],
		['<i class="fa fa-yelp"></i>', 'yelp'],
		['<i class="fa fa-adjust"></i>', 'adjust'],
		['<i class="fa fa-anchor"></i>', 'anchor'],
		['<i class="fa fa-archive"></i>', 'archive'],
		['<i class="fa fa-area-chart"></i>', 'area-chart'],
		['<i class="fa fa-arrows"></i>', 'arrows'],
		['<i class="fa fa-arrows-h"></i>', 'arrows-h'],
		['<i class="fa fa-arrows-v"></i>', 'arrows-v'],
		['<i class="fa fa-asterisk"></i>', 'asterisk'],
		['<i class="fa fa-at"></i>', 'at'],
		['<i class="fa fa-automobile"></i>', 'automobile'],
		['<i class="fa fa-ban"></i>', 'ban'],
		['<i class="fa fa-bank"></i>', 'bank'],
		['<i class="fa fa-bar-chart"></i>', 'bar-chart'],
		['<i class="fa fa-bar-chart-o"></i>', 'bar-chart-o'],
		['<i class="fa fa-barcode"></i>', 'barcode'],
		['<i class="fa fa-bars"></i>', 'bars'],
		['<i class="fa fa-beer"></i>', 'beer'],
		['<i class="fa fa-bell"></i>', 'bell'],
		['<i class="fa fa-bell-o"></i>', 'bell-o'],
		['<i class="fa fa-bell-slash"></i>', 'bell-slash'],
		['<i class="fa fa-bell-slash-o"></i>', 'bell-slash-o'],
		['<i class="fa fa-bicycle"></i>', 'bicycle'],
		['<i class="fa fa-binoculars"></i>', 'binoculars'],
		['<i class="fa fa-birthday-cake"></i>', 'birthday-cake'],
		['<i class="fa fa-bolt"></i>', 'bolt'],
		['<i class="fa fa-bomb"></i>', 'bomb'],
		['<i class="fa fa-book"></i>', 'book'],
		['<i class="fa fa-bookmark"></i>', 'bookmark'],
		['<i class="fa fa-bookmark-o"></i>', 'bookmark-o'],
		['<i class="fa fa-briefcase"></i>', 'briefcase'],
		['<i class="fa fa-bug"></i>', 'bug'],
		['<i class="fa fa-building"></i>', 'building'],
		['<i class="fa fa-building-o"></i>', 'building-o'],
		['<i class="fa fa-bullhorn"></i>', 'bullhorn'],
		['<i class="fa fa-bullseye"></i>', 'bullseye'],
		['<i class="fa fa-bus"></i>', 'bus'],
		['<i class="fa fa-cab"></i>', 'cab'],
		['<i class="fa fa-calculator"></i>', 'calculator'],
		['<i class="fa fa-calendar"></i>', 'calendar'],
		['<i class="fa fa-calendar-o"></i>', 'calendar-o'],
		['<i class="fa fa-camera"></i>', 'camera'],
		['<i class="fa fa-camera-retro"></i>', 'camera-retro'],
		['<i class="fa fa-car"></i>', 'car'],
		['<i class="fa fa-caret-square-o-down"></i>', 'caret-square-o-down'],
		['<i class="fa fa-caret-square-o-left"></i>', 'caret-square-o-left'],
		['<i class="fa fa-caret-square-o-right"></i>', 'caret-square-o-right'],
		['<i class="fa fa-caret-square-o-up"></i>', 'caret-square-o-up'],
		['<i class="fa fa-cc"></i>', 'cc'],
		['<i class="fa fa-certificate"></i>', 'certificate'],
		['<i class="fa fa-check"></i>', 'check'],
		['<i class="fa fa-check-circle"></i>', 'check-circle'],
		['<i class="fa fa-check-circle-o"></i>', 'check-circle-o'],
		['<i class="fa fa-check-square"></i>', 'check-square'],
		['<i class="fa fa-check-square-o"></i>', 'check-square-o'],
		['<i class="fa fa-child"></i>', 'child'],
		['<i class="fa fa-circle"></i>', 'circle'],
		['<i class="fa fa-circle-o"></i>', 'circle-o'],
		['<i class="fa fa-circle-o-notch"></i>', 'circle-o-notch'],
		['<i class="fa fa-circle-thin"></i>', 'circle-thin'],
		['<i class="fa fa-clock-o"></i>', 'clock-o'],
		['<i class="fa fa-close"></i>', 'close'],
		['<i class="fa fa-cloud"></i>', 'cloud'],
		['<i class="fa fa-cloud-download"></i>', 'cloud-download'],
		['<i class="fa fa-cloud-upload"></i>', 'cloud-upload'],
		['<i class="fa fa-code"></i>', 'code'],
		['<i class="fa fa-code-fork"></i>', 'code-fork'],
		['<i class="fa fa-coffee"></i>', 'coffee'],
		['<i class="fa fa-cog"></i>', 'cog'],
		['<i class="fa fa-cogs"></i>', 'cogs'],
		['<i class="fa fa-comment"></i>', 'comment'],
		['<i class="fa fa-comment-o"></i>', 'comment-o'],
		['<i class="fa fa-comments"></i>', 'comments'],
		['<i class="fa fa-comments-o"></i>', 'comments-o'],
		['<i class="fa fa-compass"></i>', 'compass'],
		['<i class="fa fa-copyright"></i>', 'copyright'],
		['<i class="fa fa-credit-card"></i>', 'credit-card'],
		['<i class="fa fa-crop"></i>', 'crop'],
		['<i class="fa fa-crosshairs"></i>', 'crosshairs'],
		['<i class="fa fa-cube"></i>', 'cube'],
		['<i class="fa fa-cubes"></i>', 'cubes'],
		['<i class="fa fa-cutlery"></i>', 'cutlery'],
		['<i class="fa fa-dashboard"></i>', 'dashboard'],
		['<i class="fa fa-database"></i>', 'database'],
		['<i class="fa fa-desktop"></i>', 'desktop'],
		['<i class="fa fa-dot-circle-o"></i>', 'dot-circle-o'],
		['<i class="fa fa-download"></i>', 'download'],
		['<i class="fa fa-edit"></i>', 'edit'],
		['<i class="fa fa-ellipsis-h"></i>', 'ellipsis-h'],
		['<i class="fa fa-ellipsis-v"></i>', 'ellipsis-v'],
		['<i class="fa fa-envelope"></i>', 'envelope'],
		['<i class="fa fa-envelope-o"></i>', 'envelope-o'],
		['<i class="fa fa-envelope-square"></i>', 'envelope-square'],
		['<i class="fa fa-eraser"></i>', 'eraser'],
		['<i class="fa fa-exchange"></i>', 'exchange'],
		['<i class="fa fa-exclamation"></i>', 'exclamation'],
		['<i class="fa fa-exclamation-circle"></i>', 'exclamation-circle'],
		['<i class="fa fa-exclamation-triangle"></i>', 'exclamation-triangle'],
		['<i class="fa fa-external-link"></i>', 'external-link'],
		['<i class="fa fa-external-link-square"></i>', 'external-link-square'],
		['<i class="fa fa-eye"></i>', 'eye'],
		['<i class="fa fa-eye-slash"></i>', 'eye-slash'],
		['<i class="fa fa-eyedropper"></i>', 'eyedropper'],
		['<i class="fa fa-fax"></i>', 'fax'],
		['<i class="fa fa-female"></i>', 'female'],
		['<i class="fa fa-fighter-jet"></i>', 'fighter-jet'],
		['<i class="fa fa-file-archive-o"></i>', 'file-archive-o'],
		['<i class="fa fa-file-audio-o"></i>', 'file-audio-o'],
		['<i class="fa fa-file-code-o"></i>', 'file-code-o'],
		['<i class="fa fa-file-excel-o"></i>', 'file-excel-o'],
		['<i class="fa fa-file-image-o"></i>', 'file-image-o'],
		['<i class="fa fa-file-movie-o"></i>', 'file-movie-o'],
		['<i class="fa fa-file-pdf-o"></i>', 'file-pdf-o'],
		['<i class="fa fa-file-photo-o"></i>', 'file-photo-o'],
		['<i class="fa fa-file-picture-o"></i>', 'file-picture-o'],
		['<i class="fa fa-file-powerpoint-o"></i>', 'file-powerpoint-o'],
		['<i class="fa fa-file-sound-o"></i>', 'file-sound-o'],
		['<i class="fa fa-file-video-o"></i>', 'file-video-o'],
		['<i class="fa fa-file-word-o"></i>', 'file-word-o'],
		['<i class="fa fa-file-zip-o"></i>', 'file-zip-o'],
		['<i class="fa fa-film"></i>', 'film'],
		['<i class="fa fa-filter"></i>', 'filter'],
		['<i class="fa fa-fire"></i>', 'fire'],
		['<i class="fa fa-fire-extinguisher"></i>', 'fire-extinguisher'],
		['<i class="fa fa-flag"></i>', 'flag'],
		['<i class="fa fa-flag-checkered"></i>', 'flag-checkered'],
		['<i class="fa fa-flag-o"></i>', 'flag-o'],
		['<i class="fa fa-flash"></i>', 'flash'],
		['<i class="fa fa-flask"></i>', 'flask'],
		['<i class="fa fa-folder"></i>', 'folder'],
		['<i class="fa fa-folder-o"></i>', 'folder-o'],
		['<i class="fa fa-folder-open"></i>', 'folder-open'],
		['<i class="fa fa-folder-open-o"></i>', 'folder-open-o'],
		['<i class="fa fa-frown-o"></i>', 'frown-o'],
		['<i class="fa fa-futbol-o"></i>', 'futbol-o'],
		['<i class="fa fa-gamepad"></i>', 'gamepad'],
		['<i class="fa fa-gavel"></i>', 'gavel'],
		['<i class="fa fa-gear"></i>', 'gear'],
		['<i class="fa fa-gears"></i>', 'gears'],
		['<i class="fa fa-gift"></i>', 'gift'],
		['<i class="fa fa-glass"></i>', 'glass'],
		['<i class="fa fa-globe"></i>', 'globe'],
		['<i class="fa fa-graduation-cap"></i>', 'graduation-cap'],
		['<i class="fa fa-group"></i>', 'group'],
		['<i class="fa fa-hdd-o"></i>', 'hdd-o'],
		['<i class="fa fa-headphones"></i>', 'headphones'],
		['<i class="fa fa-heart"></i>', 'heart'],
		['<i class="fa fa-heart-o"></i>', 'heart-o'],
		['<i class="fa fa-history"></i>', 'history'],
		['<i class="fa fa-home"></i>', 'home'],
		['<i class="fa fa-image"></i>', 'image'],
		['<i class="fa fa-inbox"></i>', 'inbox'],
		['<i class="fa fa-info"></i>', 'info'],
		['<i class="fa fa-info-circle"></i>', 'info-circle'],
		['<i class="fa fa-institution"></i>', 'institution'],
		['<i class="fa fa-key"></i>', 'key'],
		['<i class="fa fa-keyboard-o"></i>', 'keyboard-o'],
		['<i class="fa fa-language"></i>', 'language'],
		['<i class="fa fa-laptop"></i>', 'laptop'],
		['<i class="fa fa-leaf"></i>', 'leaf'],
		['<i class="fa fa-legal"></i>', 'legal'],
		['<i class="fa fa-lemon-o"></i>', 'lemon-o'],
		['<i class="fa fa-level-down"></i>', 'level-down'],
		['<i class="fa fa-level-up"></i>', 'level-up'],
		['<i class="fa fa-life-bouy"></i>', 'life-bouy'],
		['<i class="fa fa-life-buoy"></i>', 'life-buoy'],
		['<i class="fa fa-life-ring"></i>', 'life-ring'],
		['<i class="fa fa-life-saver"></i>', 'life-saver'],
		['<i class="fa fa-lightbulb-o"></i>', 'lightbulb-o'],
		['<i class="fa fa-line-chart"></i>', 'line-chart'],
		['<i class="fa fa-location-arrow"></i>', 'location-arrow'],
		['<i class="fa fa-lock"></i>', 'lock'],
		['<i class="fa fa-magic"></i>', 'magic'],
		['<i class="fa fa-magnet"></i>', 'magnet'],
		['<i class="fa fa-mail-forward"></i>', 'mail-forward'],
		['<i class="fa fa-mail-reply"></i>', 'mail-reply'],
		['<i class="fa fa-mail-reply-all"></i>', 'mail-reply-all'],
		['<i class="fa fa-male"></i>', 'male'],
		['<i class="fa fa-map-marker"></i>', 'map-marker'],
		['<i class="fa fa-meh-o"></i>', 'meh-o'],
		['<i class="fa fa-microphone"></i>', 'microphone'],
		['<i class="fa fa-microphone-slash"></i>', 'microphone-slash'],
		['<i class="fa fa-minus"></i>', 'minus'],
		['<i class="fa fa-minus-circle"></i>', 'minus-circle'],
		['<i class="fa fa-minus-square"></i>', 'minus-square'],
		['<i class="fa fa-minus-square-o"></i>', 'minus-square-o'],
		['<i class="fa fa-mobile"></i>', 'mobile'],
		['<i class="fa fa-mobile-phone"></i>', 'mobile-phone'],
		['<i class="fa fa-money"></i>', 'money'],
		['<i class="fa fa-moon-o"></i>', 'moon-o'],
		['<i class="fa fa-mortar-board"></i>', 'mortar-board'],
		['<i class="fa fa-music"></i>', 'music'],
		['<i class="fa fa-navicon"></i>', 'navicon'],
		['<i class="fa fa-newspaper-o"></i>', 'newspaper-o'],
		['<i class="fa fa-paint-brush"></i>', 'paint-brush'],
		['<i class="fa fa-paper-plane"></i>', 'paper-plane'],
		['<i class="fa fa-paper-plane-o"></i>', 'paper-plane-o'],
		['<i class="fa fa-paw"></i>', 'paw'],
		['<i class="fa fa-pencil"></i>', 'pencil'],
		['<i class="fa fa-pencil-square"></i>', 'pencil-square'],
		['<i class="fa fa-pencil-square-o"></i>', 'pencil-square-o'],
		['<i class="fa fa-phone"></i>', 'phone'],
		['<i class="fa fa-phone-square"></i>', 'phone-square'],
		['<i class="fa fa-photo"></i>', 'photo'],
		['<i class="fa fa-picture-o"></i>', 'picture-o'],
		['<i class="fa fa-pie-chart"></i>', 'pie-chart'],
		['<i class="fa fa-plane"></i>', 'plane'],
		['<i class="fa fa-plug"></i>', 'plug'],
		['<i class="fa fa-plus"></i>', 'plus'],
		['<i class="fa fa-plus-circle"></i>', 'plus-circle'],
		['<i class="fa fa-plus-square"></i>', 'plus-square'],
		['<i class="fa fa-plus-square-o"></i>', 'plus-square-o'],
		['<i class="fa fa-power-off"></i>', 'power-off'],
		['<i class="fa fa-print"></i>', 'print'],
		['<i class="fa fa-puzzle-piece"></i>', 'puzzle-piece'],
		['<i class="fa fa-qrcode"></i>', 'qrcode'],
		['<i class="fa fa-question"></i>', 'question'],
		['<i class="fa fa-question-circle"></i>', 'question-circle'],
		['<i class="fa fa-quote-left"></i>', 'quote-left'],
		['<i class="fa fa-quote-right"></i>', 'quote-right'],
		['<i class="fa fa-random"></i>', 'random'],
		['<i class="fa fa-recycle"></i>', 'recycle'],
		['<i class="fa fa-refresh"></i>', 'refresh'],
		['<i class="fa fa-remove"></i>', 'remove'],
		['<i class="fa fa-reorder"></i>', 'reorder'],
		['<i class="fa fa-reply"></i>', 'reply'],
		['<i class="fa fa-reply-all"></i>', 'reply-all'],
		['<i class="fa fa-retweet"></i>', 'retweet'],
		['<i class="fa fa-road"></i>', 'road'],
		['<i class="fa fa-rocket"></i>', 'rocket'],
		['<i class="fa fa-rss"></i>', 'rss'],
		['<i class="fa fa-rss-square"></i>', 'rss-square'],
		['<i class="fa fa-search"></i>', 'search'],
		['<i class="fa fa-search-minus"></i>', 'search-minus'],
		['<i class="fa fa-search-plus"></i>', 'search-plus'],
		['<i class="fa fa-send"></i>', 'send'],
		['<i class="fa fa-send-o"></i>', 'send-o'],
		['<i class="fa fa-share"></i>', 'share'],
		['<i class="fa fa-share-alt"></i>', 'share-alt'],
		['<i class="fa fa-share-alt-square"></i>', 'share-alt-square'],
		['<i class="fa fa-share-square"></i>', 'share-square'],
		['<i class="fa fa-share-square-o"></i>', 'share-square-o'],
		['<i class="fa fa-shield"></i>', 'shield'],
		['<i class="fa fa-shopping-cart"></i>', 'shopping-cart'],
		['<i class="fa fa-sign-in"></i>', 'sign-in'],
		['<i class="fa fa-sign-out"></i>', 'sign-out'],
		['<i class="fa fa-signal"></i>', 'signal'],
		['<i class="fa fa-sitemap"></i>', 'sitemap'],
		['<i class="fa fa-sliders"></i>', 'sliders'],
		['<i class="fa fa-smile-o"></i>', 'smile-o'],
		['<i class="fa fa-soccer-ball-o"></i>', 'soccer-ball-o'],
		['<i class="fa fa-sort"></i>', 'sort'],
		['<i class="fa fa-sort-alpha-asc"></i>', 'sort-alpha-asc'],
		['<i class="fa fa-sort-alpha-desc"></i>', 'sort-alpha-desc'],
		['<i class="fa fa-sort-amount-asc"></i>', 'sort-amount-asc'],
		['<i class="fa fa-sort-amount-desc"></i>', 'sort-amount-desc'],
		['<i class="fa fa-sort-asc"></i>', 'sort-asc'],
		['<i class="fa fa-sort-desc"></i>', 'sort-desc'],
		['<i class="fa fa-sort-down"></i>', 'sort-down'],
		['<i class="fa fa-sort-numeric-asc"></i>', 'sort-numeric-asc'],
		['<i class="fa fa-sort-numeric-desc"></i>', 'sort-numeric-desc'],
		['<i class="fa fa-sort-up"></i>', 'sort-up'],
		['<i class="fa fa-space-shuttle"></i>', 'space-shuttle'],
		['<i class="fa fa-spinner"></i>', 'spinner'],
		['<i class="fa fa-spoon"></i>', 'spoon'],
		['<i class="fa fa-square"></i>', 'square'],
		['<i class="fa fa-square-o"></i>', 'square-o'],
		['<i class="fa fa-star"></i>', 'star'],
		['<i class="fa fa-star-half"></i>', 'star-half'],
		['<i class="fa fa-star-half-empty"></i>', 'star-half-empty'],
		['<i class="fa fa-star-half-full"></i>', 'star-half-full'],
		['<i class="fa fa-star-half-o"></i>', 'star-half-o'],
		['<i class="fa fa-star-o"></i>', 'star-o'],
		['<i class="fa fa-suitcase"></i>', 'suitcase'],
		['<i class="fa fa-sun-o"></i>', 'sun-o'],
		['<i class="fa fa-support"></i>', 'support'],
		['<i class="fa fa-tablet"></i>', 'tablet'],
		['<i class="fa fa-tachometer"></i>', 'tachometer'],
		['<i class="fa fa-tag"></i>', 'tag'],
		['<i class="fa fa-tags"></i>', 'tags'],
		['<i class="fa fa-tasks"></i>', 'tasks'],
		['<i class="fa fa-taxi"></i>', 'taxi'],
		['<i class="fa fa-terminal"></i>', 'terminal'],
		['<i class="fa fa-thumb-tack"></i>', 'thumb-tack'],
		['<i class="fa fa-thumbs-down"></i>', 'thumbs-down'],
		['<i class="fa fa-thumbs-o-down"></i>', 'thumbs-o-down'],
		['<i class="fa fa-thumbs-o-up"></i>', 'thumbs-o-up'],
		['<i class="fa fa-thumbs-up"></i>', 'thumbs-up'],
		['<i class="fa fa-ticket"></i>', 'ticket'],
		['<i class="fa fa-times"></i>', 'times'],
		['<i class="fa fa-times-circle"></i>', 'times-circle'],
		['<i class="fa fa-times-circle-o"></i>', 'times-circle-o'],
		['<i class="fa fa-tint"></i>', 'tint'],
		['<i class="fa fa-toggle-down"></i>', 'toggle-down'],
		['<i class="fa fa-toggle-left"></i>', 'toggle-left'],
		['<i class="fa fa-toggle-off"></i>', 'toggle-off'],
		['<i class="fa fa-toggle-on"></i>', 'toggle-on'],
		['<i class="fa fa-toggle-right"></i>', 'toggle-right'],
		['<i class="fa fa-toggle-up"></i>', 'toggle-up'],
		['<i class="fa fa-trash"></i>', 'trash'],
		['<i class="fa fa-trash-o"></i>', 'trash-o'],
		['<i class="fa fa-tree"></i>', 'tree'],
		['<i class="fa fa-trophy"></i>', 'trophy'],
		['<i class="fa fa-truck"></i>', 'truck'],
		['<i class="fa fa-tty"></i>', 'tty'],
		['<i class="fa fa-umbrella"></i>', 'umbrella'],
		['<i class="fa fa-university"></i>', 'university'],
		['<i class="fa fa-unlock"></i>', 'unlock'],
		['<i class="fa fa-unlock-alt"></i>', 'unlock-alt'],
		['<i class="fa fa-unsorted"></i>', 'unsorted'],
		['<i class="fa fa-upload"></i>', 'upload'],
		['<i class="fa fa-user"></i>', 'user'],
		['<i class="fa fa-users"></i>', 'users'],
		['<i class="fa fa-video-camera"></i>', 'video-camera'],
		['<i class="fa fa-volume-down"></i>', 'volume-down'],
		['<i class="fa fa-volume-off"></i>', 'volume-off'],
		['<i class="fa fa-volume-up"></i>', 'volume-up'],
		['<i class="fa fa-warning"></i>', 'warning'],
		['<i class="fa fa-wheelchair"></i>', 'wheelchair'],
		['<i class="fa fa-wifi"></i>', 'wifi'],
		['<i class="fa fa-wrench"></i>', 'wrench'],
		['<i class="fa fa-file"></i>', 'file'],
		['<i class="fa fa-file-archive-o"></i>', 'file-archive-o'],
		['<i class="fa fa-file-audio-o"></i>', 'file-audio-o'],
		['<i class="fa fa-file-code-o"></i>', 'file-code-o'],
		['<i class="fa fa-file-excel-o"></i>', 'file-excel-o'],
		['<i class="fa fa-file-image-o"></i>', 'file-image-o'],
		['<i class="fa fa-file-movie-o"></i>', 'file-movie-o'],
		['<i class="fa fa-file-o"></i>', 'file-o'],
		['<i class="fa fa-file-pdf-o"></i>', 'file-pdf-o'],
		['<i class="fa fa-file-photo-o"></i>', 'file-photo-o'],
		['<i class="fa fa-file-picture-o"></i>', 'file-picture-o'],
		['<i class="fa fa-file-powerpoint-o"></i>', 'file-powerpoint-o'],
		['<i class="fa fa-file-sound-o"></i>', 'file-sound-o'],
		['<i class="fa fa-file-text"></i>', 'file-text'],
		['<i class="fa fa-file-text-o"></i>', 'file-text-o'],
		['<i class="fa fa-file-video-o"></i>', 'file-video-o'],
		['<i class="fa fa-file-word-o"></i>', 'file-word-o'],
		['<i class="fa fa-file-zip-o"></i>', 'file-zip-o'],
		['<i class="fa fa-circle-o-notch fa-spin"></i>', 'circle-o-notch'],
		['<i class="fa fa-cog fa-spin"></i>', 'cog'],
		['<i class="fa fa-gea fa-spinr"></i>', 'gear'],
		['<i class="fa fa-refresh fa-spin"></i>', 'refresh'],
		['<i class="fa fa-spinner fa-spin"></i>', 'spinner'],
		['<i class="fa fa-check-square"></i>', 'check-square'],
		['<i class="fa fa-check-square-o"></i>', 'check-square-o'],
		['<i class="fa fa-circle"></i>', 'circle'],
		['<i class="fa fa-circle-o"></i>', 'circle-o'],
		['<i class="fa fa-dot-circle-o"></i>', 'dot-circle-o'],
		['<i class="fa fa-minus-square"></i>', 'minus-square'],
		['<i class="fa fa-minus-square-o"></i>', 'minus-square-o'],
		['<i class="fa fa-plus-square"></i>', 'plus-square'],
		['<i class="fa fa-plus-square-o"></i>', 'plus-square-o'],
		['<i class="fa fa-square"></i>', 'square'],
		['<i class="fa fa-square-o"></i>', 'square-o'],
		['<i class="fa fa-cc-amex"></i>', 'cc-amex'],
		['<i class="fa fa-cc-discover"></i>', 'cc-discover'],
		['<i class="fa fa-cc-mastercard"></i>', 'cc-mastercard'],
		['<i class="fa fa-cc-paypal"></i>', 'cc-paypal'],
		['<i class="fa fa-cc-stripe"></i>', 'cc-stripe'],
		['<i class="fa fa-cc-visa"></i>', 'cc-visa'],
		['<i class="fa fa-credit-card"></i>', 'credit-card'],
		['<i class="fa fa-google-wallet"></i>', 'google-wallet'],
		['<i class="fa fa-paypal"></i>', 'paypal'],
		['<i class="fa fa-area-chart"></i>', 'area-chart'],
		['<i class="fa fa-bar-chart"></i>', 'bar-chart'],
		['<i class="fa fa-bar-chart-o"></i>', 'bar-chart-o'],
		['<i class="fa fa-line-chart"></i>', 'line-chart'],
		['<i class="fa fa-pie-chart"></i>', 'pie-chart'],
		['<i class="fa fa-bitcoin"></i>', 'bitcoin'],
		['<i class="fa fa-btc"></i>', 'btc'],
		['<i class="fa fa-cny"></i>', 'cny'],
		['<i class="fa fa-dollar"></i>', 'dollar'],
		['<i class="fa fa-eur"></i>', 'eur'],
		['<i class="fa fa-euro"></i>', 'euro'],
		['<i class="fa fa-gbp"></i>', 'gbp'],
		['<i class="fa fa-ils"></i>', 'ils'],
		['<i class="fa fa-inr"></i>', 'inr'],
		['<i class="fa fa-jpy"></i>', 'jpy'],
		['<i class="fa fa-krw"></i>', 'krw'],
		['<i class="fa fa-money"></i>', 'money'],
		['<i class="fa fa-rmb"></i>', 'rmb'],
		['<i class="fa fa-rouble"></i>', 'rouble'],
		['<i class="fa fa-rub"></i>', 'rub'],
		['<i class="fa fa-ruble"></i>', 'ruble'],
		['<i class="fa fa-rupee"></i>', 'rupee'],
		['<i class="fa fa-shekel"></i>', 'shekel'],
		['<i class="fa fa-sheqel"></i>', 'sheqel'],
		['<i class="fa fa-try"></i>', 'try'],
		['<i class="fa fa-turkish-lira"></i>', 'turkish-lira'],
		['<i class="fa fa-usd"></i>', 'usd'],
		['<i class="fa fa-won"></i>', 'won'],
		['<i class="fa fa-yen"></i>', 'yen'],
		['<i class="fa fa-align-center"></i>', 'align-center'],
		['<i class="fa fa-align-justify"></i>', 'align-justify'],
		['<i class="fa fa-align-left"></i>', 'align-left'],
		['<i class="fa fa-align-right"></i>', 'align-right'],
		['<i class="fa fa-bold"></i>', 'bold'],
		['<i class="fa fa-chain"></i>', 'chain'],
		['<i class="fa fa-chain-broken"></i>', 'chain-broken'],
		['<i class="fa fa-clipboard"></i>', 'clipboard'],
		['<i class="fa fa-columns"></i>', 'columns'],
		['<i class="fa fa-copy"></i>', 'copy'],
		['<i class="fa fa-cut"></i>', 'cut'],
		['<i class="fa fa-dedent"></i>', 'dedent'],
		['<i class="fa fa-eraser"></i>', 'eraser'],
		['<i class="fa fa-file"></i>', 'file'],
		['<i class="fa fa-file-o"></i>', 'file-o'],
		['<i class="fa fa-file-text"></i>', 'file-text'],
		['<i class="fa fa-file-text-o"></i>', 'file-text-o'],
		['<i class="fa fa-files-o"></i>', 'files-o'],
		['<i class="fa fa-floppy-o"></i>', 'floppy-o'],
		['<i class="fa fa-font"></i>', 'font'],
		['<i class="fa fa-header"></i>', 'header'],
		['<i class="fa fa-indent"></i>', 'indent'],
		['<i class="fa fa-italic"></i>', 'italic'],
		['<i class="fa fa-link"></i>', 'link'],
		['<i class="fa fa-list"></i>', 'list'],
		['<i class="fa fa-list-alt"></i>', 'list-alt'],
		['<i class="fa fa-list-ol"></i>', 'list-ol'],
		['<i class="fa fa-list-ul"></i>', 'list-ul'],
		['<i class="fa fa-outdent"></i>', 'outdent'],
		['<i class="fa fa-paperclip"></i>', 'paperclip'],
		['<i class="fa fa-paragraph"></i>', 'paragraph'],
		['<i class="fa fa-paste"></i>', 'paste'],
		['<i class="fa fa-repeat"></i>', 'repeat'],
		['<i class="fa fa-rotate-left"></i>', 'rotate-left'],
		['<i class="fa fa-rotate-right"></i>', 'rotate-right'],
		['<i class="fa fa-save"></i>', 'save'],
		['<i class="fa fa-scissors"></i>', 'scissors'],
		['<i class="fa fa-strikethrough"></i>', 'strikethrough'],
		['<i class="fa fa-subscript"></i>', 'subscript'],
		['<i class="fa fa-superscript"></i>', 'superscript'],
		['<i class="fa fa-table"></i>', 'table'],
		['<i class="fa fa-text-height"></i>', 'text-height'],
		['<i class="fa fa-text-width"></i>', 'text-width'],
		['<i class="fa fa-th"></i>', 'th'],
		['<i class="fa fa-th-large"></i>', 'th-large'],
		['<i class="fa fa-th-list"></i>', 'th-list'],
		['<i class="fa fa-underline"></i>', 'underline'],
		['<i class="fa fa-undo"></i>', 'undo'],
		['<i class="fa fa-unlink"></i>', 'unlink'],
		['<i class="fa fa-angle-double-down"></i>', 'angle-double-down'],
		['<i class="fa fa-angle-double-left"></i>', 'angle-double-left'],
		['<i class="fa fa-angle-double-right"></i>', 'angle-double-right'],
		['<i class="fa fa-angle-double-up"></i>', 'angle-double-up'],
		['<i class="fa fa-angle-down"></i>', 'angle-down'],
		['<i class="fa fa-angle-left"></i>', 'angle-left'],
		['<i class="fa fa-angle-right"></i>', 'angle-right'],
		['<i class="fa fa-angle-up"></i>', 'angle-up'],
		['<i class="fa fa-arrow-circle-down"></i>', 'arrow-circle-down'],
		['<i class="fa fa-arrow-circle-left"></i>', 'arrow-circle-left'],
		['<i class="fa fa-arrow-circle-o-down"></i>', 'arrow-circle-o-down'],
		['<i class="fa fa-arrow-circle-o-left"></i>', 'arrow-circle-o-left'],
		['<i class="fa fa-arrow-circle-o-right"></i>', 'arrow-circle-o-right'],
		['<i class="fa fa-arrow-circle-o-up"></i>', 'arrow-circle-o-up'],
		['<i class="fa fa-arrow-circle-right"></i>', 'arrow-circle-right'],
		['<i class="fa fa-arrow-circle-up"></i>', 'arrow-circle-up'],
		['<i class="fa fa-arrow-down"></i>', 'arrow-down'],
		['<i class="fa fa-arrow-left"></i>', 'arrow-left'],
		['<i class="fa fa-arrow-right"></i>', 'arrow-right'],
		['<i class="fa fa-arrow-up"></i>', 'arrow-up'],
		['<i class="fa fa-arrows"></i>', 'arrows'],
		['<i class="fa fa-arrows-alt"></i>', 'arrows-alt'],
		['<i class="fa fa-arrows-h"></i>', 'arrows-h'],
		['<i class="fa fa-arrows-v"></i>', 'arrows-v'],
		['<i class="fa fa-caret-down"></i>', 'caret-down'],
		['<i class="fa fa-caret-left"></i>', 'caret-left'],
		['<i class="fa fa-caret-right"></i>', 'caret-right'],
		['<i class="fa fa-caret-square-o-down"></i>', 'caret-square-o-down'],
		['<i class="fa fa-caret-square-o-left"></i>', 'caret-square-o-left'],
		['<i class="fa fa-caret-square-o-right"></i>', 'caret-square-o-right'],
		['<i class="fa fa-caret-square-o-up"></i>', 'caret-square-o-up'],
		['<i class="fa fa-caret-up"></i>', 'caret-up'],
		['<i class="fa fa-chevron-circle-down"></i>', 'chevron-circle-down'],
		['<i class="fa fa-chevron-circle-left"></i>', 'chevron-circle-left'],
		['<i class="fa fa-chevron-circle-right"></i>', 'chevron-circle-right'],
		['<i class="fa fa-chevron-circle-up"></i>', 'chevron-circle-up'],
		['<i class="fa fa-chevron-down"></i>', 'chevron-down'],
		['<i class="fa fa-chevron-left"></i>', 'chevron-left'],
		['<i class="fa fa-chevron-right"></i>', 'chevron-right'],
		['<i class="fa fa-chevron-up"></i>', 'chevron-up'],
		['<i class="fa fa-hand-o-down"></i>', 'hand-o-down'],
		['<i class="fa fa-hand-o-left"></i>', 'hand-o-left'],
		['<i class="fa fa-hand-o-right"></i>', 'hand-o-right'],
		['<i class="fa fa-hand-o-up"></i>', 'hand-o-up'],
		['<i class="fa fa-long-arrow-down"></i>', 'long-arrow-down'],
		['<i class="fa fa-long-arrow-left"></i>', 'long-arrow-left'],
		['<i class="fa fa-long-arrow-right"></i>', 'long-arrow-right'],
		['<i class="fa fa-long-arrow-up"></i>', 'long-arrow-up'],
		['<i class="fa fa-toggle-down"></i>', 'toggle-down'],
		['<i class="fa fa-toggle-left"></i>', 'toggle-left'],
		['<i class="fa fa-toggle-right"></i>', 'toggle-right'],
		['<i class="fa fa-toggle-up"></i>', 'toggle-up'],
		['<i class="fa fa-arrows-alt"></i>', 'arrows-alt'],
		['<i class="fa fa-backward"></i>', 'backward'],
		['<i class="fa fa-compress"></i>', 'compress'],
		['<i class="fa fa-eject"></i>', 'eject'],
		['<i class="fa fa-expand"></i>', 'expand'],
		['<i class="fa fa-fast-backward"></i>', 'fast-backward'],
		['<i class="fa fa-fast-forward"></i>', 'fast-forward'],
		['<i class="fa fa-forward"></i>', 'forward'],
		['<i class="fa fa-pause"></i>', 'pause'],
		['<i class="fa fa-play"></i>', 'play'],
		['<i class="fa fa-play-circle"></i>', 'play-circle'],
		['<i class="fa fa-play-circle-o"></i>', 'play-circle-o'],
		['<i class="fa fa-step-backward"></i>', 'step-backward'],
		['<i class="fa fa-step-forward"></i>', 'step-forward'],
		['<i class="fa fa-stop"></i>', 'stop'],
		['<i class="fa fa-youtube-play"></i>', 'youtube-play'],
		['<i class="fa fa-adn"></i>', 'adn'],
		['<i class="fa fa-android"></i>', 'android'],
		['<i class="fa fa-angellist"></i>', 'angellist'],
		['<i class="fa fa-apple"></i>', 'apple'],
		['<i class="fa fa-behance"></i>', 'behance'],
		['<i class="fa fa-behance-square"></i>', 'behance-square'],
		['<i class="fa fa-bitbucket"></i>', 'bitbucket'],
		['<i class="fa fa-bitbucket-square"></i>', 'bitbucket-square'],
		['<i class="fa fa-bitcoin"></i>', 'bitcoin'],
		['<i class="fa fa-btc"></i>', 'btc'],
		['<i class="fa fa-cc-amex"></i>', 'cc-amex'],
		['<i class="fa fa-cc-discover"></i>', 'cc-discover'],
		['<i class="fa fa-cc-mastercard"></i>', 'cc-mastercard'],
		['<i class="fa fa-cc-paypal"></i>', 'cc-paypal'],
		['<i class="fa fa-cc-stripe"></i>', 'cc-stripe'],
		['<i class="fa fa-cc-visa"></i>', 'cc-visa'],
		['<i class="fa fa-codepen"></i>', 'codepen'],
		['<i class="fa fa-css3"></i>', 'css3'],
		['<i class="fa fa-delicious"></i>', 'delicious'],
		['<i class="fa fa-deviantart"></i>', 'deviantart'],
		['<i class="fa fa-digg"></i>', 'digg'],
		['<i class="fa fa-dribbble"></i>', 'dribbble'],
		['<i class="fa fa-dropbox"></i>', 'dropbox'],
		['<i class="fa fa-drupal"></i>', 'drupal'],
		['<i class="fa fa-empire"></i>', 'empire'],
		['<i class="fa fa-facebook"></i>', 'facebook'],
		['<i class="fa fa-facebook-square"></i>', 'facebook-square'],
		['<i class="fa fa-flickr"></i>', 'flickr'],
		['<i class="fa fa-foursquare"></i>', 'foursquare'],
		['<i class="fa fa-ge"></i>', 'ge'],
		['<i class="fa fa-git"></i>', 'git'],
		['<i class="fa fa-git-square"></i>', 'git-square'],
		['<i class="fa fa-github"></i>', 'github'],
		['<i class="fa fa-github-alt"></i>', 'github-alt'],
		['<i class="fa fa-github-square"></i>', 'github-square'],
		['<i class="fa fa-gittip"></i>', 'gittip'],
		['<i class="fa fa-google"></i>', 'google'],
		['<i class="fa fa-google-plus"></i>', 'google-plus'],
		['<i class="fa fa-google-plus-square"></i>', 'google-plus-square'],
		['<i class="fa fa-google-wallet"></i>', 'google-wallet'],
		['<i class="fa fa-hacker-news"></i>', 'hacker-news'],
		['<i class="fa fa-html5"></i>', 'html5'],
		['<i class="fa fa-instagram"></i>', 'instagram'],
		['<i class="fa fa-ioxhost"></i>', 'ioxhost'],
		['<i class="fa fa-joomla"></i>', 'joomla'],
		['<i class="fa fa-jsfiddle"></i>', 'jsfiddle'],
		['<i class="fa fa-lastfm"></i>', 'lastfm'],
		['<i class="fa fa-lastfm-square"></i>', 'lastfm-square'],
		['<i class="fa fa-linkedin"></i>', 'linkedin'],
		['<i class="fa fa-linkedin-square"></i>', 'linkedin-square'],
		['<i class="fa fa-linux"></i>', 'linux'],
		['<i class="fa fa-maxcdn"></i>', 'maxcdn'],
		['<i class="fa fa-meanpath"></i>', 'meanpath'],
		['<i class="fa fa-openid"></i>', 'openid'],
		['<i class="fa fa-pagelines"></i>', 'pagelines'],
		['<i class="fa fa-paypal"></i>', 'paypal'],
		['<i class="fa fa-pied-piper"></i>', 'pied-piper'],
		['<i class="fa fa-pied-piper-alt"></i>', 'pied-piper-alt'],
		['<i class="fa fa-pinterest"></i>', 'pinterest'],
		['<i class="fa fa-pinterest-square"></i>', 'pinterest-square'],
		['<i class="fa fa-qq"></i>', 'qq'],
		['<i class="fa fa-ra"></i>', 'ra'],
		['<i class="fa fa-rebel"></i>', 'rebel'],
		['<i class="fa fa-reddit"></i>', 'reddit'],
		['<i class="fa fa-reddit-square"></i>', 'reddit-square'],
		['<i class="fa fa-renren"></i>', 'renren'],
		['<i class="fa fa-share-alt"></i>', 'share-alt'],
		['<i class="fa fa-share-alt-square"></i>', 'share-alt-square'],
		['<i class="fa fa-skype"></i>', 'skype'],
		['<i class="fa fa-slack"></i>', 'slack'],
		['<i class="fa fa-slideshare"></i>', 'slideshare'],
		['<i class="fa fa-soundcloud"></i>', 'soundcloud'],
		['<i class="fa fa-spotify"></i>', 'spotify'],
		['<i class="fa fa-stack-exchange"></i>', 'stack-exchange'],
		['<i class="fa fa-stack-overflow"></i>', 'stack-overflow'],
		['<i class="fa fa-steam"></i>', 'steam'],
		['<i class="fa fa-steam-square"></i>', 'steam-square'],
		['<i class="fa fa-stumbleupon"></i>', 'stumbleupon'],
		['<i class="fa fa-stumbleupon-circle"></i>', 'stumbleupon-circle'],
		['<i class="fa fa-tencent-weibo"></i>', 'tencent-weibo'],
		['<i class="fa fa-trello"></i>', 'trello'],
		['<i class="fa fa-tumblr"></i>', 'tumblr'],
		['<i class="fa fa-tumblr-square"></i>', 'tumblr-square'],
		['<i class="fa fa-twitch"></i>', 'twitch'],
		['<i class="fa fa-twitter"></i>', 'twitter'],
		['<i class="fa fa-twitter-square"></i>', 'twitter-square'],
		['<i class="fa fa-vimeo-square"></i>', 'vimeo-square'],
		['<i class="fa fa-vine"></i>', 'vine'],
		['<i class="fa fa-vk"></i>', 'vk'],
		['<i class="fa fa-wechat"></i>', 'wechat'],
		['<i class="fa fa-weibo"></i>', 'weibo'],
		['<i class="fa fa-weixin"></i>', 'weixin'],
		['<i class="fa fa-windows"></i>', 'windows'],
		['<i class="fa fa-wordpress"></i>', 'wordpress'],
		['<i class="fa fa-xing"></i>', 'xing'],
		['<i class="fa fa-xing-square"></i>', 'xing-square'],
		['<i class="fa fa-yahoo"></i>', 'yahoo'],
		['<i class="fa fa-yelp"></i>', 'yelp'],
		['<i class="fa fa-youtube"></i>', 'youtube'],
		['<i class="fa fa-youtube-play"></i>', 'youtube-play'],
		['<i class="fa fa-youtube-square"></i>', 'youtube-square'],
		['<i class="fa fa-ambulance"></i>', 'ambulance'],
		['<i class="fa fa-h-square"></i>', 'h-square'],
		['<i class="fa fa-hospital-o"></i>', 'hospital-o'],
		['<i class="fa fa-medkit"></i>', 'medkit'],
		['<i class="fa fa-plus-square"></i>', 'plus-square'],
		['<i class="fa fa-stethoscope"></i>', 'stethoscope'],
		['<i class="fa fa-user-md"></i>', 'user-md'],
		['<i class="fa fa-wheelchair"></i>', 'wheelchair'],
	];

	function showDialog() {
		var gridHtml, x, y, win;

		function getParentTd(elm) {
			while (elm) {
				if (elm.nodeName == 'TD') {
					return elm;
				}

				elm = elm.parentNode;
			}
		}

		gridHtml = '<table role="presentation" cellspacing="0" class="mce-icons"><tbody>';

		var width = 35;
		var height = Math.ceil(icon.length / width);
		for (y = 0; y < height; y++) {
			gridHtml += '<tr>';

			for (x = 0; x < width; x++) {
				var index = y * width + x;
				if (index < icon.length) {
					var chr = icon[index];

					gridHtml += '<td title="' + chr[1] + '"><div tabindex="-1" title="' + chr[1] + '" role="button">' +
						chr[0] + '</div></td>';
				} else {
					gridHtml += '<td />';
				}
			}

			gridHtml += '</tr>';
		}

		gridHtml += '</tbody></table>';

		var iconPanel = {
			type: 'container',
			html: gridHtml,
			onclick: function(e) {
				var target = e.target;
				if (/^(I)$/.test(target.nodeName)) {
					if (getParentTd(target).firstChild) {
						editor.execCommand('mceInsertContent', false, tinymce.trim('&nbsp;' + target.outerHTML + '&nbsp;'));

						if (!e.ctrlKey) {
							win.close();
						}
					}
				}
			},
		};

		win = editor.windowManager.open({
			title: "Template Icons",
			spacing: 10,
			padding: 10,
			style: 'max-height: 98%; overflow-y: auto; overflow-x: hidden;',
			items: [
				iconPanel,
				{
					type: 'container',
					layout: 'flex',
					direction: 'column',
					align: 'center',
					spacing: 5,
					minWidth: 0,
					minHeight: 0,
					items: [
						{
							type: 'label',
							name: 'preview',
							text: ' ',
							style: 'display:none;',
							border: 0,
							minWidth: 0,
							minHeight: 0
						},
						{
							type: 'label',
							name: 'previewTitle',
							text: ' ',
							style: 'display:none;',
							border: 0,
							minWidth: 0,
							minHeight: 0
						}
					]
				}
			],
			buttons: [
				{text: "Close", onclick: function() {
					win.close();
				}}
			]
		});
	}

	editor.addButton('icon', {
		icon: 'icon',
		tooltip: 'Template Icons',
		onclick: showDialog
	});

	editor.addMenuItem('icon', {
		icon: 'icon',
		text: 'Template Icons',
		onclick: showDialog,
		context: 'insert'
	});
});